Page MenuHomePhabricator

WikibaseMediaInfo Selenium tests not running anywhere
Closed, ResolvedPublic

Description

selenium-test

The repository doesn't have selenium-test npm script in package.json, so the tests are not running when code is pushed to gerrit.

I've created a commit that adds the script and runs the tests when code is pushed to gerrit. (See 717505.) All tests failed.

Full job output.

1Started by user unknown or anonymous
2Running as SYSTEM
3Building remotely on integration-agent-docker-1016 (pipelinelib Docker blubber) in workspace /srv/jenkins/workspace/workspace/quibble-vendor-mysql-php72-selenium-docker
4[quibble-vendor-mysql-php72-selenium-docker] $ /bin/bash -xe /tmp/jenkins853297969849513823.sh
5+ mkdir -m 2777 -p cache
6[quibble-vendor-mysql-php72-selenium-docker] $ /bin/bash /tmp/jenkins4273759347957593690.sh
7+ set -o pipefail
8++ pwd
9+ exec docker run --volume /srv/jenkins/workspace/workspace/quibble-vendor-mysql-php72-selenium-docker/cache:/cache --security-opt seccomp=unconfined --init --rm --label jenkins.job=quibble-vendor-mysql-php72-selenium-docker --label jenkins.build=74276 --env-file /dev/fd/63 docker-registry.wikimedia.org/releng/castor:0.2.4 load
10++ /usr/bin/env
11++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
12Defined: CASTOR_NAMESPACE="castor-mw-ext-and-skins/master/quibble-vendor-mysql-php72-selenium-docker"
13Syncing...
14rsync: failed to set times on "/cache/.": Operation not permitted (1)
15rsync error: some files/attrs were not transferred (see previous errors) (code 23) at main.c(1668) [generator=3.1.2]
16
17Done
18[quibble-vendor-mysql-php72-selenium-docker] $ /bin/bash -xe /tmp/jenkins1168569077663773221.sh
19+ set -eux
20+ mkdir -m 2777 -p log
21[quibble-vendor-mysql-php72-selenium-docker] $ /bin/bash /tmp/jenkins1442308183775036597.sh
22+ set -o pipefail
23+ exec docker run --user=nobody --volume /srv/jenkins/workspace/workspace/quibble-vendor-mysql-php72-selenium-docker:/workspace --entrypoint=/usr/bin/find --security-opt seccomp=unconfined --init --rm --label jenkins.job=quibble-vendor-mysql-php72-selenium-docker --label jenkins.build=74276 --env-file /dev/fd/63 docker-registry.wikimedia.org/buster:latest /workspace/log -mindepth 1 -delete
24++ /usr/bin/env
25++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
26[quibble-vendor-mysql-php72-selenium-docker] $ /bin/bash /tmp/jenkins6399532527562805435.sh
27+ set -o pipefail
28++ pwd
29++ pwd
30+ exec docker run --volume /srv/git:/srv/git:ro --tmpfs /workspace/db:size=320M --volume /srv/jenkins/workspace/workspace/quibble-vendor-mysql-php72-selenium-docker/cache:/cache --volume /srv/jenkins/workspace/workspace/quibble-vendor-mysql-php72-selenium-docker/log:/workspace/log --security-opt seccomp=unconfined --init --rm --label jenkins.job=quibble-vendor-mysql-php72-selenium-docker --label jenkins.build=74276 --env-file /dev/fd/63 docker-registry.wikimedia.org/releng/quibble-buster-php72:1.0.1 --packages-source vendor --db mysql --db-dir /workspace/db --git-parallel=8 --run selenium
31++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
32++ /usr/bin/env
33DEBUG:quibble.cmd:ZUUL_PROJECT=mediawiki/extensions/WikibaseMediaInfo
34INFO:quibble.cmd:Adding mediawiki/vendor
35WARNING:quibble.cmd:SKIN_DEPENDENCIES env variable is deprecated. Instead pass projects as arguments.
36WARNING:quibble.cmd:EXT_DEPENDENCIES env variable is deprecated. Instead pass projects as arguments.
37INFO:quibble.cmd:Projects: mediawiki/core, mediawiki/extensions/AbuseFilter, mediawiki/extensions/AntiSpoof, mediawiki/extensions/ArticlePlaceholder, mediawiki/extensions/BetaFeatures, mediawiki/extensions/CentralAuth, mediawiki/extensions/CheckUser, mediawiki/extensions/CirrusSearch, mediawiki/extensions/Cite, mediawiki/extensions/CodeEditor, mediawiki/extensions/ConfirmEdit, mediawiki/extensions/Echo, mediawiki/extensions/Elastica, mediawiki/extensions/EventBus, mediawiki/extensions/EventLogging, mediawiki/extensions/EventStreamConfig, mediawiki/extensions/FlaggedRevs, mediawiki/extensions/GeoData, mediawiki/extensions/GuidedTour, mediawiki/extensions/MobileApp, mediawiki/extensions/MobileFrontend, mediawiki/extensions/ParserFunctions, mediawiki/extensions/PdfHandler, mediawiki/extensions/PropertySuggester, mediawiki/extensions/Renameuser, mediawiki/extensions/Scribunto, mediawiki/extensions/SiteMatrix, mediawiki/extensions/SyntaxHighlight_GeSHi, mediawiki/extensions/TemplateData, mediawiki/extensions/TimedMediaHandler, mediawiki/extensions/UniversalLanguageSelector, mediawiki/extensions/VisualEditor, mediawiki/extensions/WikiEditor, mediawiki/extensions/Wikibase, mediawiki/extensions/WikibaseCirrusSearch, mediawiki/extensions/WikibaseLexeme, mediawiki/extensions/WikibaseMediaInfo, mediawiki/extensions/WikibaseQualityConstraints, mediawiki/extensions/WikimediaBadges, mediawiki/extensions/WikimediaEvents, mediawiki/extensions/cldr, mediawiki/skins/MinervaNeue, mediawiki/skins/Vector, mediawiki/vendor
38INFO:zuul.CloneMapper:Workspace path set to: ./
39INFO:zuul.CloneMapper:Mapping projects to workspace...
40INFO:zuul.CloneMapper: mediawiki/extensions/WikibaseMediaInfo -> extensions/WikibaseMediaInfo
41INFO:zuul.CloneMapper:Expansion completed.
42DEBUG:quibble.cmd:Running stages: selenium
43DEBUG:quibble.cmd:Execution plan:
44DEBUG:quibble.cmd:Report package versions
45DEBUG:quibble.cmd:Ensure we have the directory '/workspace/log'
46DEBUG:quibble.cmd:Zuul clone with parameters {"cache_dir": "/srv/git", "projects": ["mediawiki/core", "mediawiki/extensions/AbuseFilter", "mediawiki/extensions/AntiSpoof", "mediawiki/extensions/ArticlePlaceholder", "mediawiki/extensions/BetaFeatures", "mediawiki/extensions/CentralAuth", "mediawiki/extensions/CheckUser", "mediawiki/extensions/CirrusSearch", "mediawiki/extensions/Cite", "mediawiki/extensions/CodeEditor", "mediawiki/extensions/ConfirmEdit", "mediawiki/extensions/Echo", "mediawiki/extensions/Elastica", "mediawiki/extensions/EventBus", "mediawiki/extensions/EventLogging", "mediawiki/extensions/EventStreamConfig", "mediawiki/extensions/FlaggedRevs", "mediawiki/extensions/GeoData", "mediawiki/extensions/GuidedTour", "mediawiki/extensions/MobileApp", "mediawiki/extensions/MobileFrontend", "mediawiki/extensions/ParserFunctions", "mediawiki/extensions/PdfHandler", "mediawiki/extensions/PropertySuggester", "mediawiki/extensions/Renameuser", "mediawiki/extensions/Scribunto", "mediawiki/extensions/SiteMatrix", "mediawiki/extensions/SyntaxHighlight_GeSHi", "mediawiki/extensions/TemplateData", "mediawiki/extensions/TimedMediaHandler", "mediawiki/extensions/UniversalLanguageSelector", "mediawiki/extensions/VisualEditor", "mediawiki/extensions/WikiEditor", "mediawiki/extensions/Wikibase", "mediawiki/extensions/WikibaseCirrusSearch", "mediawiki/extensions/WikibaseLexeme", "mediawiki/extensions/WikibaseMediaInfo", "mediawiki/extensions/WikibaseQualityConstraints", "mediawiki/extensions/WikimediaBadges", "mediawiki/extensions/WikimediaEvents", "mediawiki/extensions/cldr", "mediawiki/skins/MinervaNeue", "mediawiki/skins/Vector", "mediawiki/vendor"], "workers": 8, "workspace": "/workspace/src", "zuul_branch": "master", "zuul_project": "mediawiki/extensions/WikibaseMediaInfo", "zuul_ref": "refs/zuul/master/Z06ce9416c24c4b52bec85996f80bc91c", "zuul_url": "git://contint2001.wikimedia.org"}
47DEBUG:quibble.cmd:Extension and skin submodule update under MediaWiki root /workspace/src
48DEBUG:quibble.cmd:Install composer dev-requires for vendor.git
49DEBUG:quibble.cmd:Start backends, <MySQL (no socket)>
50DEBUG:quibble.cmd:Install MediaWiki, db=<MySQL (no socket)> vendor=True
51DEBUG:quibble.cmd:npm install in /workspace/src
52DEBUG:quibble.cmd:Start backends, <PhpWebserver http://127.0.0.1:9412 /workspace/src> <Xvfb :94> <ChromeWebDriver :94>
53DEBUG:quibble.cmd:Browser tests for projects mediawiki/extensions/WikibaseMediaInfo, mediawiki/core, mediawiki/extensions/AbuseFilter, mediawiki/extensions/AntiSpoof, mediawiki/extensions/ArticlePlaceholder, mediawiki/extensions/BetaFeatures, mediawiki/extensions/CentralAuth, mediawiki/extensions/CheckUser, mediawiki/extensions/CirrusSearch, mediawiki/extensions/Cite, mediawiki/extensions/CodeEditor, mediawiki/extensions/ConfirmEdit, mediawiki/extensions/Echo, mediawiki/extensions/Elastica, mediawiki/extensions/EventBus, mediawiki/extensions/EventLogging, mediawiki/extensions/EventStreamConfig, mediawiki/extensions/FlaggedRevs, mediawiki/extensions/GeoData, mediawiki/extensions/GuidedTour, mediawiki/extensions/MobileApp, mediawiki/extensions/MobileFrontend, mediawiki/extensions/ParserFunctions, mediawiki/extensions/PdfHandler, mediawiki/extensions/PropertySuggester, mediawiki/extensions/Renameuser, mediawiki/extensions/Scribunto, mediawiki/extensions/SiteMatrix, mediawiki/extensions/SyntaxHighlight_GeSHi, mediawiki/extensions/TemplateData, mediawiki/extensions/TimedMediaHandler, mediawiki/extensions/UniversalLanguageSelector, mediawiki/extensions/VisualEditor, mediawiki/extensions/WikiEditor, mediawiki/extensions/Wikibase, mediawiki/extensions/WikibaseCirrusSearch, mediawiki/extensions/WikibaseLexeme, mediawiki/extensions/WikibaseQualityConstraints, mediawiki/extensions/WikimediaBadges, mediawiki/extensions/WikimediaEvents, mediawiki/extensions/cldr, mediawiki/skins/MinervaNeue, mediawiki/skins/Vector, mediawiki/vendor
54Report package versions
55
56Hide Details
57INFO:quibble.commands:>>> Start: Report package versions
58INFO:quibble.commands:Python version: 3.7.3 (default, Jan 22 2021, 20:04:44)
59[GCC 8.3.0]
60INFO:quibble.commands:chromedriver --version: ChromeDriver 90.0.4430.212 (e3cd97fc771b893b7fd1879196d1215b622c2bed-refs/branch-heads/4430@{#1429})
61INFO:quibble.commands:chromium --version: Chromium 90.0.4430.212 built on Debian 10.9, running on Debian 10.10
62INFO:quibble.commands:composer --version: Composer version 1.10.22 2021-04-27 13:10:45
63INFO:quibble.commands:mysql --version: mysql Ver 15.1 Distrib 10.3.29-MariaDB, for debian-linux-gnu (x86_64) using readline 5.2
64INFO:quibble.commands:psql --version: psql (PostgreSQL) 11.12 (Debian 11.12-0+deb10u1)
65INFO:quibble.commands:node --version: v10.24.0
66INFO:quibble.commands:npm --version: 6.14.5
67INFO:quibble.commands:php --version: PHP 7.2.34-18+0~20210223.60+debian10~1.gbpb21322+wmf1 (cli) (built: Apr 16 2021 12:41:54) ( NTS )
68INFO:quibble.commands:Copyright (c) 1997-2018 The PHP Group
69INFO:quibble.commands:Zend Engine v3.2.0, Copyright (c) 1998-2018 Zend Technologies
70INFO:quibble.commands: with Zend OPcache v7.2.34-18+0~20210223.60+debian10~1.gbpb21322+wmf1, Copyright (c) 1999-2018, by Zend Technologies
71INFO:quibble.commands:<<< Finish: Report package versions, in 1.069 s
72Ensure we have the directory '/workspace/log'
73
74Hide Details
75INFO:quibble.commands:>>> Start: Ensure we have the directory '/workspace/log'
76INFO:quibble.commands:<<< Finish: Ensure we have the directory '/workspace/log', in 0.001 s
77Zuul clone with parameters
78
79Hide Details
80INFO:quibble.commands:>>> Start: Zuul clone with parameters {"cache_dir": "/srv/git", "projects": ["mediawiki/core", "mediawiki/extensions/AbuseFilter", "mediawiki/extensions/AntiSpoof", "mediawiki/extensions/ArticlePlaceholder", "mediawiki/extensions/BetaFeatures", "mediawiki/extensions/CentralAuth", "mediawiki/extensions/CheckUser", "mediawiki/extensions/CirrusSearch", "mediawiki/extensions/Cite", "mediawiki/extensions/CodeEditor", "mediawiki/extensions/ConfirmEdit", "mediawiki/extensions/Echo", "mediawiki/extensions/Elastica", "mediawiki/extensions/EventBus", "mediawiki/extensions/EventLogging", "mediawiki/extensions/EventStreamConfig", "mediawiki/extensions/FlaggedRevs", "mediawiki/extensions/GeoData", "mediawiki/extensions/GuidedTour", "mediawiki/extensions/MobileApp", "mediawiki/extensions/MobileFrontend", "mediawiki/extensions/ParserFunctions", "mediawiki/extensions/PdfHandler", "mediawiki/extensions/PropertySuggester", "mediawiki/extensions/Renameuser", "mediawiki/extensions/Scribunto", "mediawiki/extensions/SiteMatrix", "mediawiki/extensions/SyntaxHighlight_GeSHi", "mediawiki/extensions/TemplateData", "mediawiki/extensions/TimedMediaHandler", "mediawiki/extensions/UniversalLanguageSelector", "mediawiki/extensions/VisualEditor", "mediawiki/extensions/WikiEditor", "mediawiki/extensions/Wikibase", "mediawiki/extensions/WikibaseCirrusSearch", "mediawiki/extensions/WikibaseLexeme", "mediawiki/extensions/WikibaseMediaInfo", "mediawiki/extensions/WikibaseQualityConstraints", "mediawiki/extensions/WikimediaBadges", "mediawiki/extensions/WikimediaEvents", "mediawiki/extensions/cldr", "mediawiki/skins/MinervaNeue", "mediawiki/skins/Vector", "mediawiki/vendor"], "workers": 8, "workspace": "/workspace/src", "zuul_branch": "master", "zuul_project": "mediawiki/extensions/WikibaseMediaInfo", "zuul_ref": "refs/zuul/master/Z06ce9416c24c4b52bec85996f80bc91c", "zuul_url": "git://contint2001.wikimedia.org"}
81INFO:zuul.CloneMapper:Workspace path set to: /workspace/src
82INFO:zuul.CloneMapper:Mapping projects to workspace...
83INFO:zuul.CloneMapper: mediawiki/core -> /workspace/src
84INFO:zuul.CloneMapper: mediawiki/extensions/AbuseFilter -> /workspace/src/extensions/AbuseFilter
85INFO:zuul.CloneMapper: mediawiki/extensions/AntiSpoof -> /workspace/src/extensions/AntiSpoof
86INFO:zuul.CloneMapper: mediawiki/extensions/ArticlePlaceholder -> /workspace/src/extensions/ArticlePlaceholder
87INFO:zuul.CloneMapper: mediawiki/extensions/BetaFeatures -> /workspace/src/extensions/BetaFeatures
88INFO:zuul.CloneMapper: mediawiki/extensions/CentralAuth -> /workspace/src/extensions/CentralAuth
89INFO:zuul.CloneMapper: mediawiki/extensions/CheckUser -> /workspace/src/extensions/CheckUser
90INFO:zuul.CloneMapper: mediawiki/extensions/CirrusSearch -> /workspace/src/extensions/CirrusSearch
91INFO:zuul.CloneMapper: mediawiki/extensions/Cite -> /workspace/src/extensions/Cite
92INFO:zuul.CloneMapper: mediawiki/extensions/CodeEditor -> /workspace/src/extensions/CodeEditor
93INFO:zuul.CloneMapper: mediawiki/extensions/ConfirmEdit -> /workspace/src/extensions/ConfirmEdit
94INFO:zuul.CloneMapper: mediawiki/extensions/Echo -> /workspace/src/extensions/Echo
95INFO:zuul.CloneMapper: mediawiki/extensions/Elastica -> /workspace/src/extensions/Elastica
96INFO:zuul.CloneMapper: mediawiki/extensions/EventBus -> /workspace/src/extensions/EventBus
97INFO:zuul.CloneMapper: mediawiki/extensions/EventLogging -> /workspace/src/extensions/EventLogging
98INFO:zuul.CloneMapper: mediawiki/extensions/EventStreamConfig -> /workspace/src/extensions/EventStreamConfig
99INFO:zuul.CloneMapper: mediawiki/extensions/FlaggedRevs -> /workspace/src/extensions/FlaggedRevs
100INFO:zuul.CloneMapper: mediawiki/extensions/GeoData -> /workspace/src/extensions/GeoData
101INFO:zuul.CloneMapper: mediawiki/extensions/GuidedTour -> /workspace/src/extensions/GuidedTour
102INFO:zuul.CloneMapper: mediawiki/extensions/MobileApp -> /workspace/src/extensions/MobileApp
103INFO:zuul.CloneMapper: mediawiki/extensions/MobileFrontend -> /workspace/src/extensions/MobileFrontend
104INFO:zuul.CloneMapper: mediawiki/extensions/ParserFunctions -> /workspace/src/extensions/ParserFunctions
105INFO:zuul.CloneMapper: mediawiki/extensions/PdfHandler -> /workspace/src/extensions/PdfHandler
106INFO:zuul.CloneMapper: mediawiki/extensions/PropertySuggester -> /workspace/src/extensions/PropertySuggester
107INFO:zuul.CloneMapper: mediawiki/extensions/Renameuser -> /workspace/src/extensions/Renameuser
108INFO:zuul.CloneMapper: mediawiki/extensions/Scribunto -> /workspace/src/extensions/Scribunto
109INFO:zuul.CloneMapper: mediawiki/extensions/SiteMatrix -> /workspace/src/extensions/SiteMatrix
110INFO:zuul.CloneMapper: mediawiki/extensions/SyntaxHighlight_GeSHi -> /workspace/src/extensions/SyntaxHighlight_GeSHi
111INFO:zuul.CloneMapper: mediawiki/extensions/TemplateData -> /workspace/src/extensions/TemplateData
112INFO:zuul.CloneMapper: mediawiki/extensions/TimedMediaHandler -> /workspace/src/extensions/TimedMediaHandler
113INFO:zuul.CloneMapper: mediawiki/extensions/UniversalLanguageSelector -> /workspace/src/extensions/UniversalLanguageSelector
114INFO:zuul.CloneMapper: mediawiki/extensions/VisualEditor -> /workspace/src/extensions/VisualEditor
115INFO:zuul.CloneMapper: mediawiki/extensions/WikiEditor -> /workspace/src/extensions/WikiEditor
116INFO:zuul.CloneMapper: mediawiki/extensions/Wikibase -> /workspace/src/extensions/Wikibase
117INFO:zuul.CloneMapper: mediawiki/extensions/WikibaseCirrusSearch -> /workspace/src/extensions/WikibaseCirrusSearch
118INFO:zuul.CloneMapper: mediawiki/extensions/WikibaseLexeme -> /workspace/src/extensions/WikibaseLexeme
119INFO:zuul.CloneMapper: mediawiki/extensions/WikibaseMediaInfo -> /workspace/src/extensions/WikibaseMediaInfo
120INFO:zuul.CloneMapper: mediawiki/extensions/WikibaseQualityConstraints -> /workspace/src/extensions/WikibaseQualityConstraints
121INFO:zuul.CloneMapper: mediawiki/extensions/WikimediaBadges -> /workspace/src/extensions/WikimediaBadges
122INFO:zuul.CloneMapper: mediawiki/extensions/WikimediaEvents -> /workspace/src/extensions/WikimediaEvents
123INFO:zuul.CloneMapper: mediawiki/extensions/cldr -> /workspace/src/extensions/cldr
124INFO:zuul.CloneMapper: mediawiki/skins/MinervaNeue -> /workspace/src/skins/MinervaNeue
125INFO:zuul.CloneMapper: mediawiki/skins/Vector -> /workspace/src/skins/Vector
126INFO:zuul.CloneMapper: mediawiki/vendor -> /workspace/src/vendor
127INFO:zuul.CloneMapper:Expansion completed.
128INFO:quibble.zuul.clone:Preparing 44 repositories with 8 workers
129INFO:quibble.zuul.clone:Cloning mediawiki/core first
130INFO:zuul.Cloner:Creating repo mediawiki/core from cache /srv/git/mediawiki/core.git
131INFO:zuul.Cloner:Updating origin remote in repo mediawiki/core to https://gerrit.wikimedia.org/r/mediawiki/core
132INFO:zuul.Cloner:upstream repo has branch master
133INFO:zuul.Cloner:Falling back to branch master
134INFO:zuul.Cloner:Prepared mediawiki/core repo with branch master at commit 7ece0e7afdaff0d0d1a866b70cac9b9cdc9c3d76
135INFO:zuul.Cloner.mediawiki/extensions/AbuseFilter:Creating repo mediawiki/extensions/AbuseFilter from cache /srv/git/mediawiki/extensions/AbuseFilter.git
136INFO:zuul.Cloner.mediawiki/extensions/AntiSpoof:Creating repo mediawiki/extensions/AntiSpoof from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/AntiSpoof
137INFO:zuul.Cloner.mediawiki/extensions/ArticlePlaceholder:Creating repo mediawiki/extensions/ArticlePlaceholder from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/ArticlePlaceholder
138INFO:zuul.Cloner.mediawiki/extensions/BetaFeatures:Creating repo mediawiki/extensions/BetaFeatures from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/BetaFeatures
139INFO:zuul.Cloner.mediawiki/extensions/CheckUser:Creating repo mediawiki/extensions/CheckUser from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/CheckUser
140INFO:zuul.Cloner.mediawiki/extensions/CentralAuth:Creating repo mediawiki/extensions/CentralAuth from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/CentralAuth
141INFO:zuul.Cloner.mediawiki/extensions/CirrusSearch:Creating repo mediawiki/extensions/CirrusSearch from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/CirrusSearch
142INFO:zuul.Cloner.mediawiki/extensions/Cite:Creating repo mediawiki/extensions/Cite from cache /srv/git/mediawiki/extensions/Cite.git
143INFO:zuul.Cloner.mediawiki/extensions/Cite:Updating origin remote in repo mediawiki/extensions/Cite to https://gerrit.wikimedia.org/r/mediawiki/extensions/Cite
144INFO:zuul.Cloner.mediawiki/extensions/AbuseFilter:Updating origin remote in repo mediawiki/extensions/AbuseFilter to https://gerrit.wikimedia.org/r/mediawiki/extensions/AbuseFilter
145INFO:zuul.Cloner.mediawiki/extensions/ArticlePlaceholder:upstream repo has branch master
146INFO:zuul.Cloner.mediawiki/extensions/BetaFeatures:upstream repo has branch master
147INFO:zuul.Cloner.mediawiki/extensions/ArticlePlaceholder:Falling back to branch master
148INFO:zuul.Cloner.mediawiki/extensions/ArticlePlaceholder:Prepared mediawiki/extensions/ArticlePlaceholder repo with branch master at commit 44f9d98ccdf317e38a31c7b8880b452b94e2447b
149INFO:zuul.Cloner.mediawiki/extensions/CodeEditor:Creating repo mediawiki/extensions/CodeEditor from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/CodeEditor
150INFO:zuul.Cloner.mediawiki/extensions/Cite:upstream repo has branch master
151INFO:zuul.Cloner.mediawiki/extensions/AntiSpoof:upstream repo has branch master
152INFO:zuul.Cloner.mediawiki/extensions/BetaFeatures:Falling back to branch master
153INFO:zuul.Cloner.mediawiki/extensions/BetaFeatures:Prepared mediawiki/extensions/BetaFeatures repo with branch master at commit e2fcb6439753b1206883cf3f8b6bf38a483f92e5
154INFO:zuul.Cloner.mediawiki/extensions/ConfirmEdit:Creating repo mediawiki/extensions/ConfirmEdit from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/ConfirmEdit
155INFO:zuul.Cloner.mediawiki/extensions/AntiSpoof:Falling back to branch master
156INFO:zuul.Cloner.mediawiki/extensions/AntiSpoof:Prepared mediawiki/extensions/AntiSpoof repo with branch master at commit 3db2d712e2f8fe646710d1b9632de91959d0dd98
157INFO:zuul.Cloner.mediawiki/extensions/Echo:Creating repo mediawiki/extensions/Echo from cache /srv/git/mediawiki/extensions/Echo.git
158INFO:zuul.Cloner.mediawiki/extensions/Cite:Falling back to branch master
159INFO:zuul.Cloner.mediawiki/extensions/Cite:Prepared mediawiki/extensions/Cite repo with branch master at commit c72760da660c46f2474f731881a732d18c3f77ff
160INFO:zuul.Cloner.mediawiki/extensions/Elastica:Creating repo mediawiki/extensions/Elastica from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/Elastica
161INFO:zuul.Cloner.mediawiki/extensions/Echo:Updating origin remote in repo mediawiki/extensions/Echo to https://gerrit.wikimedia.org/r/mediawiki/extensions/Echo
162INFO:zuul.Cloner.mediawiki/extensions/AbuseFilter:upstream repo has branch master
163INFO:zuul.Cloner.mediawiki/extensions/Elastica:upstream repo has branch master
164INFO:zuul.Cloner.mediawiki/extensions/AbuseFilter:Falling back to branch master
165INFO:zuul.Cloner.mediawiki/extensions/CheckUser:upstream repo has branch master
166INFO:zuul.Cloner.mediawiki/extensions/AbuseFilter:Prepared mediawiki/extensions/AbuseFilter repo with branch master at commit 9bbec9a81aa1e3aa0b1f573e5149d21c4ea0964d
167INFO:zuul.Cloner.mediawiki/extensions/EventBus:Creating repo mediawiki/extensions/EventBus from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/EventBus
168INFO:zuul.Cloner.mediawiki/extensions/Elastica:Falling back to branch master
169INFO:zuul.Cloner.mediawiki/extensions/Elastica:Prepared mediawiki/extensions/Elastica repo with branch master at commit d2bb8a2f950625846d9c64d430b8b10aa1e2a760
170INFO:zuul.Cloner.mediawiki/extensions/EventLogging:Creating repo mediawiki/extensions/EventLogging from cache /srv/git/mediawiki/extensions/EventLogging.git
171INFO:zuul.Cloner.mediawiki/extensions/EventLogging:Updating origin remote in repo mediawiki/extensions/EventLogging to https://gerrit.wikimedia.org/r/mediawiki/extensions/EventLogging
172INFO:zuul.Cloner.mediawiki/extensions/CheckUser:Falling back to branch master
173INFO:zuul.Cloner.mediawiki/extensions/CheckUser:Prepared mediawiki/extensions/CheckUser repo with branch master at commit fef3938d9f66e8a144ce19a18b0d61626ed924b6
174INFO:zuul.Cloner.mediawiki/extensions/EventStreamConfig:Creating repo mediawiki/extensions/EventStreamConfig from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/EventStreamConfig
175INFO:zuul.Cloner.mediawiki/extensions/CodeEditor:upstream repo has branch master
176INFO:zuul.Cloner.mediawiki/extensions/Echo:upstream repo has branch master
177INFO:zuul.Cloner.mediawiki/extensions/CodeEditor:Falling back to branch master
178INFO:zuul.Cloner.mediawiki/extensions/Echo:Falling back to branch master
179INFO:zuul.Cloner.mediawiki/extensions/CodeEditor:Prepared mediawiki/extensions/CodeEditor repo with branch master at commit a5e8af27a000de2022b3a4a3a8d8384669f556ef
180INFO:zuul.Cloner.mediawiki/extensions/FlaggedRevs:Creating repo mediawiki/extensions/FlaggedRevs from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/FlaggedRevs
181INFO:zuul.Cloner.mediawiki/extensions/Echo:Prepared mediawiki/extensions/Echo repo with branch master at commit e5ae6910f4ca8ec7b981b0c0d3a27aaebae2dff9
182INFO:zuul.Cloner.mediawiki/extensions/GeoData:Creating repo mediawiki/extensions/GeoData from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/GeoData
183INFO:zuul.Cloner.mediawiki/extensions/EventBus:upstream repo has branch master
184INFO:zuul.Cloner.mediawiki/extensions/EventBus:Falling back to branch master
185INFO:zuul.Cloner.mediawiki/extensions/EventBus:Prepared mediawiki/extensions/EventBus repo with branch master at commit 3ff7b8b420abf8b54ff50980f436b646cecd16a9
186INFO:zuul.Cloner.mediawiki/extensions/GuidedTour:Creating repo mediawiki/extensions/GuidedTour from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/GuidedTour
187INFO:zuul.Cloner.mediawiki/extensions/EventStreamConfig:upstream repo has branch master
188INFO:zuul.Cloner.mediawiki/extensions/EventLogging:upstream repo has branch master
189INFO:zuul.Cloner.mediawiki/extensions/EventStreamConfig:Falling back to branch master
190INFO:zuul.Cloner.mediawiki/extensions/EventLogging:Falling back to branch master
191INFO:zuul.Cloner.mediawiki/extensions/EventStreamConfig:Prepared mediawiki/extensions/EventStreamConfig repo with branch master at commit ae0c1606ca2977816f843952581e084e638bc8d0
192INFO:zuul.Cloner.mediawiki/extensions/MobileApp:Creating repo mediawiki/extensions/MobileApp from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/MobileApp
193INFO:zuul.Cloner.mediawiki/extensions/ConfirmEdit:upstream repo has branch master
194INFO:zuul.Cloner.mediawiki/extensions/EventLogging:Prepared mediawiki/extensions/EventLogging repo with branch master at commit 8ae5deedf93bc6e0fabc3aab4a69ce61c99a4aeb
195INFO:zuul.Cloner.mediawiki/extensions/MobileFrontend:Creating repo mediawiki/extensions/MobileFrontend from cache /srv/git/mediawiki/extensions/MobileFrontend.git
196INFO:zuul.Cloner.mediawiki/extensions/CirrusSearch:upstream repo has branch master
197INFO:zuul.Cloner.mediawiki/extensions/ConfirmEdit:Falling back to branch master
198INFO:zuul.Cloner.mediawiki/extensions/CirrusSearch:Falling back to branch master
199INFO:zuul.Cloner.mediawiki/extensions/ConfirmEdit:Prepared mediawiki/extensions/ConfirmEdit repo with branch master at commit 5a256ffa6591cc6ac8d69ef6c5f9d25d7ee5fce2
200INFO:zuul.Cloner.mediawiki/extensions/ParserFunctions:Creating repo mediawiki/extensions/ParserFunctions from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/ParserFunctions
201INFO:zuul.Cloner.mediawiki/extensions/CirrusSearch:Prepared mediawiki/extensions/CirrusSearch repo with branch master at commit 482f06df2201b3185712e1580536ec310dff39f7
202INFO:zuul.Cloner.mediawiki/extensions/PdfHandler:Creating repo mediawiki/extensions/PdfHandler from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/PdfHandler
203INFO:zuul.Cloner.mediawiki/extensions/MobileFrontend:Updating origin remote in repo mediawiki/extensions/MobileFrontend to https://gerrit.wikimedia.org/r/mediawiki/extensions/MobileFrontend
204INFO:zuul.Cloner.mediawiki/extensions/GeoData:upstream repo has branch master
205INFO:zuul.Cloner.mediawiki/extensions/GeoData:Falling back to branch master
206INFO:zuul.Cloner.mediawiki/extensions/GeoData:Prepared mediawiki/extensions/GeoData repo with branch master at commit 4ecfd51c7662a67e65fc6134d1fcd79158a1e420
207INFO:zuul.Cloner.mediawiki/extensions/PropertySuggester:Creating repo mediawiki/extensions/PropertySuggester from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/PropertySuggester
208INFO:zuul.Cloner.mediawiki/extensions/GuidedTour:upstream repo has branch master
209INFO:zuul.Cloner.mediawiki/extensions/GuidedTour:Falling back to branch master
210INFO:zuul.Cloner.mediawiki/extensions/GuidedTour:Prepared mediawiki/extensions/GuidedTour repo with branch master at commit 6262bcb89449b3d6bdfae13869220d8d6f82267b
211INFO:zuul.Cloner.mediawiki/extensions/Renameuser:Creating repo mediawiki/extensions/Renameuser from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/Renameuser
212INFO:zuul.Cloner.mediawiki/extensions/PdfHandler:upstream repo has branch master
213INFO:zuul.Cloner.mediawiki/extensions/MobileApp:upstream repo has branch master
214INFO:zuul.Cloner.mediawiki/extensions/ParserFunctions:upstream repo has branch master
215INFO:zuul.Cloner.mediawiki/extensions/MobileApp:Falling back to branch master
216INFO:zuul.Cloner.mediawiki/extensions/MobileApp:Prepared mediawiki/extensions/MobileApp repo with branch master at commit f3751eeb7da882cf18298753b939fefc35fa0860
217INFO:zuul.Cloner.mediawiki/extensions/Scribunto:Creating repo mediawiki/extensions/Scribunto from cache /srv/git/mediawiki/extensions/Scribunto.git
218INFO:zuul.Cloner.mediawiki/extensions/PropertySuggester:upstream repo has branch master
219INFO:zuul.Cloner.mediawiki/extensions/PdfHandler:Falling back to branch master
220INFO:zuul.Cloner.mediawiki/extensions/PdfHandler:Prepared mediawiki/extensions/PdfHandler repo with branch master at commit 3bf782945cf2e3855f374a59d411d294bde218f8
221INFO:zuul.Cloner.mediawiki/extensions/SiteMatrix:Creating repo mediawiki/extensions/SiteMatrix from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/SiteMatrix
222INFO:zuul.Cloner.mediawiki/extensions/Scribunto:Updating origin remote in repo mediawiki/extensions/Scribunto to https://gerrit.wikimedia.org/r/mediawiki/extensions/Scribunto
223INFO:zuul.Cloner.mediawiki/extensions/ParserFunctions:Falling back to branch master
224INFO:zuul.Cloner.mediawiki/extensions/MobileFrontend:upstream repo has branch master
225INFO:zuul.Cloner.mediawiki/extensions/PropertySuggester:Falling back to branch master
226INFO:zuul.Cloner.mediawiki/extensions/MobileFrontend:Falling back to branch master
227INFO:zuul.Cloner.mediawiki/extensions/ParserFunctions:Prepared mediawiki/extensions/ParserFunctions repo with branch master at commit d9d8672cf94dfbe99b9ab5b42abf87a69012023e
228INFO:zuul.Cloner.mediawiki/extensions/SyntaxHighlight_GeSHi:Creating repo mediawiki/extensions/SyntaxHighlight_GeSHi from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/SyntaxHighlight_GeSHi
229INFO:zuul.Cloner.mediawiki/extensions/PropertySuggester:Prepared mediawiki/extensions/PropertySuggester repo with branch master at commit b63b0271644d34bcfaee421adc738cb3f58f73f8
230INFO:zuul.Cloner.mediawiki/extensions/TemplateData:Creating repo mediawiki/extensions/TemplateData from cache /srv/git/mediawiki/extensions/TemplateData.git
231INFO:zuul.Cloner.mediawiki/extensions/MobileFrontend:Prepared mediawiki/extensions/MobileFrontend repo with branch master at commit 63951d8108e25bf38b02bc9318eabd294d8fbe4a
232INFO:zuul.Cloner.mediawiki/extensions/TimedMediaHandler:Creating repo mediawiki/extensions/TimedMediaHandler from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/TimedMediaHandler
233INFO:zuul.Cloner.mediawiki/extensions/TemplateData:Updating origin remote in repo mediawiki/extensions/TemplateData to https://gerrit.wikimedia.org/r/mediawiki/extensions/TemplateData
234INFO:zuul.Cloner.mediawiki/extensions/Scribunto:upstream repo has branch master
235INFO:zuul.Cloner.mediawiki/extensions/Scribunto:Falling back to branch master
236INFO:zuul.Cloner.mediawiki/extensions/Scribunto:Prepared mediawiki/extensions/Scribunto repo with branch master at commit 1a24ade06c77df4a92ef01008567b1f1c43d4000
237INFO:zuul.Cloner.mediawiki/extensions/UniversalLanguageSelector:Creating repo mediawiki/extensions/UniversalLanguageSelector from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/UniversalLanguageSelector
238INFO:zuul.Cloner.mediawiki/extensions/Renameuser:upstream repo has branch master
239INFO:zuul.Cloner.mediawiki/extensions/SiteMatrix:upstream repo has branch master
240INFO:zuul.Cloner.mediawiki/extensions/FlaggedRevs:upstream repo has branch master
241INFO:zuul.Cloner.mediawiki/extensions/TemplateData:upstream repo has branch master
242INFO:zuul.Cloner.mediawiki/extensions/SiteMatrix:Falling back to branch master
243INFO:zuul.Cloner.mediawiki/extensions/SiteMatrix:Prepared mediawiki/extensions/SiteMatrix repo with branch master at commit 59780c82a6176d3de2bf2dbb2e685707ed6095d0
244INFO:zuul.Cloner.mediawiki/extensions/VisualEditor:Creating repo mediawiki/extensions/VisualEditor from cache /srv/git/mediawiki/extensions/VisualEditor.git
245INFO:zuul.Cloner.mediawiki/extensions/Renameuser:Falling back to branch master
246INFO:zuul.Cloner.mediawiki/extensions/Renameuser:Prepared mediawiki/extensions/Renameuser repo with branch master at commit c41c1e0f93ce1b72a102e99f75133026e13feff4
247INFO:zuul.Cloner.mediawiki/extensions/WikiEditor:Creating repo mediawiki/extensions/WikiEditor from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/WikiEditor
248INFO:zuul.Cloner.mediawiki/extensions/FlaggedRevs:Falling back to branch master
249INFO:zuul.Cloner.mediawiki/extensions/TemplateData:Falling back to branch master
250INFO:zuul.Cloner.mediawiki/extensions/FlaggedRevs:Prepared mediawiki/extensions/FlaggedRevs repo with branch master at commit c2c0a6c85e87544291c86ff6ea42ea6ccd303940
251INFO:zuul.Cloner.mediawiki/extensions/Wikibase:Creating repo mediawiki/extensions/Wikibase from cache /srv/git/mediawiki/extensions/Wikibase.git
252INFO:zuul.Cloner.mediawiki/extensions/TemplateData:Prepared mediawiki/extensions/TemplateData repo with branch master at commit e5cb2df0741d4263fe6d4d50fed3f27eb1703d0c
253INFO:zuul.Cloner.mediawiki/extensions/WikibaseCirrusSearch:Creating repo mediawiki/extensions/WikibaseCirrusSearch from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/WikibaseCirrusSearch
254INFO:zuul.Cloner.mediawiki/extensions/SyntaxHighlight_GeSHi:upstream repo has branch master
255INFO:zuul.Cloner.mediawiki/extensions/VisualEditor:Updating origin remote in repo mediawiki/extensions/VisualEditor to https://gerrit.wikimedia.org/r/mediawiki/extensions/VisualEditor
256INFO:zuul.Cloner.mediawiki/extensions/SyntaxHighlight_GeSHi:Falling back to branch master
257INFO:zuul.Cloner.mediawiki/extensions/SyntaxHighlight_GeSHi:Prepared mediawiki/extensions/SyntaxHighlight_GeSHi repo with branch master at commit 580ce3425fd1ebd000512b015bf6a4122051327a
258INFO:zuul.Cloner.mediawiki/extensions/WikibaseLexeme:Creating repo mediawiki/extensions/WikibaseLexeme from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/WikibaseLexeme
259INFO:zuul.Cloner.mediawiki/extensions/Wikibase:Updating origin remote in repo mediawiki/extensions/Wikibase to https://gerrit.wikimedia.org/r/mediawiki/extensions/Wikibase
260INFO:zuul.Cloner.mediawiki/extensions/WikibaseCirrusSearch:upstream repo has branch master
261INFO:zuul.Cloner.mediawiki/extensions/WikibaseCirrusSearch:Falling back to branch master
262INFO:zuul.Cloner.mediawiki/extensions/WikibaseCirrusSearch:Prepared mediawiki/extensions/WikibaseCirrusSearch repo with branch master at commit f665f8f607fc5e5fa40fe38cd8fc3dd6e20def15
263INFO:zuul.Cloner.mediawiki/extensions/WikibaseMediaInfo:Creating repo mediawiki/extensions/WikibaseMediaInfo from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/WikibaseMediaInfo
264INFO:zuul.Cloner.mediawiki/extensions/TimedMediaHandler:upstream repo has branch master
265INFO:zuul.Cloner.mediawiki/extensions/CentralAuth:upstream repo has branch master
266INFO:zuul.Cloner.mediawiki/extensions/TimedMediaHandler:Falling back to branch master
267INFO:zuul.Cloner.mediawiki/extensions/TimedMediaHandler:Prepared mediawiki/extensions/TimedMediaHandler repo with branch master at commit 8e4758bfb89407597ba145d2386136bed7843d1c
268INFO:zuul.Cloner.mediawiki/extensions/WikibaseQualityConstraints:Creating repo mediawiki/extensions/WikibaseQualityConstraints from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/WikibaseQualityConstraints
269INFO:zuul.Cloner.mediawiki/extensions/CentralAuth:Falling back to branch master
270INFO:zuul.Cloner.mediawiki/extensions/CentralAuth:Prepared mediawiki/extensions/CentralAuth repo with branch master at commit 1e22d32a2c409aee03ebb3ef37946dbfc0bc00f2
271INFO:zuul.Cloner.mediawiki/extensions/WikimediaBadges:Creating repo mediawiki/extensions/WikimediaBadges from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/WikimediaBadges
272INFO:zuul.Cloner.mediawiki/extensions/WikibaseLexeme:upstream repo has branch master
273INFO:zuul.Cloner.mediawiki/extensions/WikibaseLexeme:Falling back to branch master
274INFO:zuul.Cloner.mediawiki/extensions/WikibaseLexeme:Prepared mediawiki/extensions/WikibaseLexeme repo with branch master at commit 381bb6092488c10c46e878b3948cc737b986e76e
275INFO:zuul.Cloner.mediawiki/extensions/WikimediaEvents:Creating repo mediawiki/extensions/WikimediaEvents from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/WikimediaEvents
276INFO:zuul.Cloner.mediawiki/extensions/VisualEditor:upstream repo has branch master
277INFO:zuul.Cloner.mediawiki/extensions/WikibaseMediaInfo:upstream repo has branch master
278INFO:zuul.Cloner.mediawiki/extensions/WikimediaBadges:upstream repo has branch master
279INFO:zuul.Cloner.mediawiki/extensions/WikibaseQualityConstraints:upstream repo has branch master
280INFO:zuul.Cloner.mediawiki/extensions/VisualEditor:Falling back to branch master
281INFO:zuul.Cloner.mediawiki/extensions/WikimediaBadges:Falling back to branch master
282INFO:zuul.Cloner.mediawiki/extensions/WikimediaBadges:Prepared mediawiki/extensions/WikimediaBadges repo with branch master at commit a28ae1643b7f86b8c27d1fd62729c338017966f8
283INFO:zuul.Cloner.mediawiki/extensions/cldr:Creating repo mediawiki/extensions/cldr from cache /srv/git/mediawiki/extensions/cldr.git
284INFO:zuul.Cloner.mediawiki/extensions/VisualEditor:Prepared mediawiki/extensions/VisualEditor repo with branch master at commit 9ef1b22b37b2f29206b4f563454579410b890926
285INFO:zuul.Cloner.mediawiki/skins/MinervaNeue:Creating repo mediawiki/skins/MinervaNeue from cache /srv/git/mediawiki/skins/MinervaNeue.git
286INFO:zuul.Cloner.mediawiki/extensions/WikibaseQualityConstraints:Falling back to branch master
287INFO:zuul.Cloner.mediawiki/extensions/WikimediaEvents:upstream repo has branch master
288INFO:zuul.Cloner.mediawiki/extensions/WikibaseQualityConstraints:Prepared mediawiki/extensions/WikibaseQualityConstraints repo with branch master at commit 6862e34396e6c4095aaef72f08b0014fe57a6682
289INFO:zuul.Cloner.mediawiki/skins/Vector:Creating repo mediawiki/skins/Vector from cache /srv/git/mediawiki/skins/Vector.git
290INFO:zuul.Cloner.mediawiki/extensions/cldr:Updating origin remote in repo mediawiki/extensions/cldr to https://gerrit.wikimedia.org/r/mediawiki/extensions/cldr
291INFO:zuul.Cloner.mediawiki/extensions/WikibaseMediaInfo:Prepared mediawiki/extensions/WikibaseMediaInfo repo with commit 0584042b396b7061c71943e5726a9a123837bffe
292INFO:zuul.Cloner.mediawiki/vendor:Creating repo mediawiki/vendor from cache /srv/git/mediawiki/vendor.git
293INFO:zuul.Cloner.mediawiki/skins/MinervaNeue:Updating origin remote in repo mediawiki/skins/MinervaNeue to https://gerrit.wikimedia.org/r/mediawiki/skins/MinervaNeue
294INFO:zuul.Cloner.mediawiki/skins/Vector:Updating origin remote in repo mediawiki/skins/Vector to https://gerrit.wikimedia.org/r/mediawiki/skins/Vector
295INFO:zuul.Cloner.mediawiki/extensions/WikimediaEvents:Falling back to branch master
296INFO:zuul.Cloner.mediawiki/extensions/WikimediaEvents:Prepared mediawiki/extensions/WikimediaEvents repo with branch master at commit 2b65d80d56251a4288cde8301c98c1c4e586a03f
297INFO:zuul.Cloner.mediawiki/vendor:Updating origin remote in repo mediawiki/vendor to https://gerrit.wikimedia.org/r/mediawiki/vendor
298INFO:zuul.Cloner.mediawiki/extensions/cldr:upstream repo has branch master
299INFO:zuul.Cloner.mediawiki/skins/Vector:upstream repo has branch master
300INFO:zuul.Cloner.mediawiki/skins/MinervaNeue:upstream repo has branch master
301INFO:zuul.Cloner.mediawiki/extensions/UniversalLanguageSelector:upstream repo has branch master
302INFO:zuul.Cloner.mediawiki/extensions/cldr:Falling back to branch master
303INFO:zuul.Cloner.mediawiki/skins/MinervaNeue:Falling back to branch master
304INFO:zuul.Cloner.mediawiki/skins/Vector:Falling back to branch master
305INFO:zuul.Cloner.mediawiki/extensions/cldr:Prepared mediawiki/extensions/cldr repo with branch master at commit a03c31139851d546a3e638064d464afb9cf4b031
306INFO:zuul.Cloner.mediawiki/skins/MinervaNeue:Prepared mediawiki/skins/MinervaNeue repo with branch master at commit 6687406a274e8e6d69d865b08173c3d91866a7d5
307INFO:zuul.Cloner.mediawiki/skins/Vector:Prepared mediawiki/skins/Vector repo with branch master at commit 2cbaa646aca24324d8b3241ee3abcbcd65edb60c
308INFO:zuul.Cloner.mediawiki/extensions/UniversalLanguageSelector:Falling back to branch master
309INFO:zuul.Cloner.mediawiki/extensions/UniversalLanguageSelector:Prepared mediawiki/extensions/UniversalLanguageSelector repo with branch master at commit a445ddfe19c635bc041f4663a2bc3e3d4b323d2e
310INFO:zuul.Cloner.mediawiki/extensions/WikiEditor:upstream repo has branch master
311INFO:zuul.Cloner.mediawiki/extensions/WikiEditor:Falling back to branch master
312INFO:zuul.Cloner.mediawiki/extensions/WikiEditor:Prepared mediawiki/extensions/WikiEditor repo with branch master at commit 3ffcdfd1f2571c2b887b1efea70b8524bd0d8cc2
313INFO:zuul.Cloner.mediawiki/extensions/Wikibase:upstream repo has branch master
314INFO:zuul.Cloner.mediawiki/extensions/Wikibase:Falling back to branch master
315INFO:zuul.Cloner.mediawiki/extensions/Wikibase:Prepared mediawiki/extensions/Wikibase repo with branch master at commit 96d2ead7adcec8401f9fccbde837e096a0a06f3d
316INFO:zuul.Cloner.mediawiki/vendor:upstream repo has branch master
317INFO:zuul.Cloner.mediawiki/vendor:Falling back to branch master
318INFO:zuul.Cloner.mediawiki/vendor:Prepared mediawiki/vendor repo with branch master at commit aa76f902bc3321063579ba003b3268b5db19ec41
319INFO:quibble.zuul.clone:Prepared all repositories
320INFO:quibble.commands:<<< Finish: Zuul clone with parameters {"cache_dir": "/srv/git", "projects": ["mediawiki/core", "mediawiki/extensions/AbuseFilter", "mediawiki/extensions/AntiSpoof", "mediawiki/extensions/ArticlePlaceholder", "mediawiki/extensions/BetaFeatures", "mediawiki/extensions/CentralAuth", "mediawiki/extensions/CheckUser", "mediawiki/extensions/CirrusSearch", "mediawiki/extensions/Cite", "mediawiki/extensions/CodeEditor", "mediawiki/extensions/ConfirmEdit", "mediawiki/extensions/Echo", "mediawiki/extensions/Elastica", "mediawiki/extensions/EventBus", "mediawiki/extensions/EventLogging", "mediawiki/extensions/EventStreamConfig", "mediawiki/extensions/FlaggedRevs", "mediawiki/extensions/GeoData", "mediawiki/extensions/GuidedTour", "mediawiki/extensions/MobileApp", "mediawiki/extensions/MobileFrontend", "mediawiki/extensions/ParserFunctions", "mediawiki/extensions/PdfHandler", "mediawiki/extensions/PropertySuggester", "mediawiki/extensions/Renameuser", "mediawiki/extensions/Scribunto", "mediawiki/extensions/SiteMatrix", "mediawiki/extensions/SyntaxHighlight_GeSHi", "mediawiki/extensions/TemplateData", "mediawiki/extensions/TimedMediaHandler", "mediawiki/extensions/UniversalLanguageSelector", "mediawiki/extensions/VisualEditor", "mediawiki/extensions/WikiEditor", "mediawiki/extensions/Wikibase", "mediawiki/extensions/WikibaseCirrusSearch", "mediawiki/extensions/WikibaseLexeme", "mediawiki/extensions/WikibaseMediaInfo", "mediawiki/extensions/WikibaseQualityConstraints", "mediawiki/extensions/WikimediaBadges", "mediawiki/extensions/WikimediaEvents", "mediawiki/extensions/cldr", "mediawiki/skins/MinervaNeue", "mediawiki/skins/Vector", "mediawiki/vendor"], "workers": 8, "workspace": "/workspace/src", "zuul_branch": "master", "zuul_project": "mediawiki/extensions/WikibaseMediaInfo", "zuul_ref": "refs/zuul/master/Z06ce9416c24c4b52bec85996f80bc91c", "zuul_url": "git://contint2001.wikimedia.org"}, in 36.251 s
321Extension and skin submodule update under MediaWiki root /workspace/src
322
323Hide Details
324INFO:quibble.commands:>>> Start: Extension and skin submodule update under MediaWiki root /workspace/src
325INFO:quibble.commands:Updating git submodules of extensions and skins
326Submodule 'lib/ve' (https://gerrit.wikimedia.org/r/VisualEditor/VisualEditor.git) registered for path 'lib/ve'
327Cloning into '/workspace/src/extensions/VisualEditor/lib/ve'...
328Submodule path 'lib/ve': checked out '2226310506cef39b369f49162e1cf2e5794ca484'
329 2226310506cef39b369f49162e1cf2e5794ca484 lib/ve (heads/master)
330Submodule 'lib/resources/wikibase-api' (https://gerrit.wikimedia.org/r/wikibase/javascript-api) registered for path 'lib/resources/wikibase-api'
331Submodule 'view/lib/wikibase-data-model' (https://phabricator.wikimedia.org/source/wikibase-data-model.git) registered for path 'view/lib/wikibase-data-model'
332Submodule 'view/lib/wikibase-data-values' (https://phabricator.wikimedia.org/source/datavalues-javascript.git) registered for path 'view/lib/wikibase-data-values'
333Submodule 'view/lib/wikibase-data-values-value-view' (https://gerrit.wikimedia.org/r/data-values/value-view) registered for path 'view/lib/wikibase-data-values-value-view'
334Submodule 'view/lib/wikibase-serialization' (https://phabricator.wikimedia.org/source/wikibase-serialization.git) registered for path 'view/lib/wikibase-serialization'
335Submodule 'view/lib/wikibase-termbox' (https://gerrit.wikimedia.org/r/wikibase/termbox) registered for path 'view/lib/wikibase-termbox'
336Cloning into '/workspace/src/extensions/Wikibase/lib/resources/wikibase-api'...
337Cloning into '/workspace/src/extensions/Wikibase/view/lib/wikibase-data-model'...
338Cloning into '/workspace/src/extensions/Wikibase/view/lib/wikibase-data-values-value-view'...
339Cloning into '/workspace/src/extensions/Wikibase/view/lib/wikibase-data-values'...
340Cloning into '/workspace/src/extensions/Wikibase/view/lib/wikibase-termbox'...
341Cloning into '/workspace/src/extensions/Wikibase/view/lib/wikibase-serialization'...
342Submodule path 'lib/resources/wikibase-api': checked out 'b755658e33e23688e47e08fb8451c3c4ae029f8a'
343Submodule path 'view/lib/wikibase-data-model': checked out '6b304daeb804591ddc4520925337429ac086515c'
344Submodule path 'view/lib/wikibase-data-values': checked out '457733ebe7b0d090a67e2623350be2e4286077fe'
345Submodule path 'view/lib/wikibase-data-values-value-view': checked out '48d970db55e38316f3fd00b8bd0851dfd40b4a61'
346Submodule path 'view/lib/wikibase-serialization': checked out 'e9b9a736f19e42497bfe45cb6f323781b00b5023'
347Submodule path 'view/lib/wikibase-termbox': checked out 'b2be98b9ae9e0cf7767cafcf6d848560c768b99d'
348 b755658e33e23688e47e08fb8451c3c4ae029f8a lib/resources/wikibase-api (1.0.3-109-gb755658)
349 6b304daeb804591ddc4520925337429ac086515c view/lib/wikibase-data-model (6.1.0-11-g6b304da)
350 457733ebe7b0d090a67e2623350be2e4286077fe view/lib/wikibase-data-values (0.10.0-19-g457733e)
351 48d970db55e38316f3fd00b8bd0851dfd40b4a61 view/lib/wikibase-data-values-value-view (1.0.0-58-g48d970d)
352 e9b9a736f19e42497bfe45cb6f323781b00b5023 view/lib/wikibase-serialization (5.0.0-18-ge9b9a73)
353 b2be98b9ae9e0cf7767cafcf6d848560c768b99d view/lib/wikibase-termbox (v0.1-234-gb2be98b)
354INFO:quibble.commands:<<< Finish: Extension and skin submodule update under MediaWiki root /workspace/src, in 8.557 s
355Install composer dev-requires for vendor.git
356
357Hide Details
358INFO:quibble.commands:>>> Start: Install composer dev-requires for vendor.git
359INFO:quibble.commands:vendor.git used. Requiring composer dev dependencies
360DEBUG:quibble.commands:composer require composer/spdx-licenses=1.5.4 doctrine/dbal=2.10.4||3.0.0 doctrine/sql-formatter=1.1.1 giorgiosironi/eris=^0.10.0 hamcrest/hamcrest-php=^2.0 johnkary/phpunit-speedtrap=^3.1 justinrainbow/json-schema=~5.2 mediawiki/mediawiki-codesniffer=37.0.0 mediawiki/mediawiki-phan-config=0.11.0 nikic/php-parser=4.10.2 nmred/kafka-php=0.1.5 php-parallel-lint/php-console-highlighter=0.5 php-parallel-lint/php-parallel-lint=1.3.0 phpunit/phpunit=^8.5 psy/psysh=0.10.5 seld/jsonlint=1.8.3 symfony/yaml=~3.4|~5.1 wikimedia/testing-access-wrapper=~2.0 wmde/hamcrest-html-matchers=^1.0.0
361Reading composer.json of league/oauth2-server (0.1)Reading composer.json of league/oauth2-server (0.2)Reading composer.json of league/oauth2-server (0.2.1)Reading composer.json of league/oauth2-server (0.2.2)Reading composer.json of league/oauth2-server (0.2.3)Reading composer.json of league/oauth2-server (0.3) Reading composer.json of league/oauth2-server (0.3.1)Reading composer.json of league/oauth2-server (0.3.2)Reading composer.json of league/oauth2-server (0.3.3)Reading composer.json of league/oauth2-server (0.3.4)Reading composer.json of league/oauth2-server (0.3.5)Reading composer.json of league/oauth2-server (0.4) Reading composer.json of league/oauth2-server (0.4.1)Reading composer.json of league/oauth2-server (0.4.2)Reading composer.json of league/oauth2-server (1.0.0)Reading composer.json of league/oauth2-server (1.0.1)Reading composer.json of league/oauth2-server (1.0.2)Reading composer.json of league/oauth2-server (1.0.3)Reading composer.json of league/oauth2-server (1.0.4)Reading composer.json of league/oauth2-server (1.0.5)Reading composer.json of league/oauth2-server (1.0.6)Reading composer.json of league/oauth2-server (1.0.7)Reading composer.json of league/oauth2-server (1.0.8)Reading composer.json of league/oauth2-server (1.0.9)Reading composer.json of league/oauth2-server (2.0) Reading composer.json of league/oauth2-server (2.0.1)Reading composer.json of league/oauth2-server (2.0.2)Reading composer.json of league/oauth2-server (2.0.3)Reading composer.json of league/oauth2-server (2.0.4)Reading composer.json of league/oauth2-server (2.0.5)Reading composer.json of league/oauth2-server (2.1) Reading composer.json of league/oauth2-server (2.1.1)Reading composer.json of league/oauth2-server (2.1.2)Reading composer.json of league/oauth2-server (2.1.3)Reading composer.json of league/oauth2-server (3.0.0)Reading composer.json of league/oauth2-server (3.0.1)Reading composer.json of league/oauth2-server (3.1.0)Reading composer.json of league/oauth2-server (3.1.1)Reading composer.json of league/oauth2-server (3.1.2)Reading composer.json of league/oauth2-server (3.2) Reading composer.json of league/oauth2-server (3.2.1)Reading composer.json of league/oauth2-server (3.2.2)Reading composer.json of league/oauth2-server (3.2.3)Reading composer.json of league/oauth2-server (3.2.4)Reading composer.json of league/oauth2-server (4.0.0)Reading composer.json of league/oauth2-server (4.0.1)Reading composer.json of league/oauth2-server (4.0.2)Reading composer.json of league/oauth2-server (4.0.3)Reading composer.json of league/oauth2-server (4.0.4)Reading composer.json of league/oauth2-server (4.0.5)Reading composer.json of league/oauth2-server (4.1.0)Reading composer.json of league/oauth2-server (4.1.1)Reading composer.json of league/oauth2-server (4.1.2)Reading composer.json of league/oauth2-server (4.1.3)Reading composer.json of league/oauth2-server (4.1.4)Reading composer.json of league/oauth2-server (4.1.5)Reading composer.json of league/oauth2-server (4.1.6)Reading composer.json of league/oauth2-server (4.1.7)Reading composer.json of league/oauth2-server (5.0.0)Reading composer.json of league/oauth2-server (5.0.0-RC1)Reading composer.json of league/oauth2-server (5.0.0-RC2)Reading composer.json of league/oauth2-server (5.0.1) Reading composer.json of league/oauth2-server (5.0.2)Reading composer.json of league/oauth2-server (5.0.3)Reading composer.json of league/oauth2-server (5.1.0)Reading composer.json of league/oauth2-server (5.1.1)Reading composer.json of league/oauth2-server (5.1.2)Reading composer.json of league/oauth2-server (5.1.3)Reading composer.json of league/oauth2-server (5.1.4)Reading composer.json of league/oauth2-server (5.1.5)Reading composer.json of league/oauth2-server (5.1.6)Reading composer.json of league/oauth2-server (6.0.0)Reading composer.json of league/oauth2-server (6.0.1)Reading composer.json of league/oauth2-server (6.0.2)Reading composer.json of league/oauth2-server (6.1.0)Reading composer.json of league/oauth2-server (6.1.1)Reading composer.json of league/oauth2-server (7.0.0)Reading composer.json of league/oauth2-server (7.1.0)Reading composer.json of league/oauth2-server (7.1.1)Reading composer.json of league/oauth2-server (7.2.0)Reading composer.json of league/oauth2-server (7.3.0)Reading composer.json of league/oauth2-server (7.3.1)Reading composer.json of league/oauth2-server (7.3.2)Reading composer.json of league/oauth2-server (7.3.3)Reading composer.json of league/oauth2-server (7.4.0)Reading composer.json of league/oauth2-server (8.0.0)Reading composer.json of league/oauth2-server (8.1.0)Reading composer.json of league/oauth2-server (8.1.1)Reading composer.json of league/oauth2-server (8.2.0)Reading composer.json of league/oauth2-server (8.2.1)Reading composer.json of league/oauth2-server (8.2.2)Reading composer.json of league/oauth2-server (8.2.3)Reading composer.json of league/oauth2-server (8.2.4) Reading composer.json of league/oauth2-server (dev-issuer)Reading composer.json of league/oauth2-server (issuer) Reading composer.json of league/oauth2-server (master)Reading composer.json of league/oauth2-server (update_v9.0.0-alpha)Reading composer.json of league/oauth2-server (v9.0.0-alpha)  Warning from https://repo.packagist.org: Support for Composer 1 is deprecated and some packages will not be available. You should upgrade to Composer 2. See https://blog.packagist.com/deprecating-composer-1-support/
362./composer.json has been updated
363Loading composer repositories with package information
364Reading composer.json of league/oauth2-server (0.1) Reading composer.json of league/oauth2-server (0.2)Reading composer.json of league/oauth2-server (0.2.1)Reading composer.json of league/oauth2-server (0.2.2)Reading composer.json of league/oauth2-server (0.2.3)Reading composer.json of league/oauth2-server (0.3) Reading composer.json of league/oauth2-server (0.3.1)Reading composer.json of league/oauth2-server (0.3.2)Reading composer.json of league/oauth2-server (0.3.3)Reading composer.json of league/oauth2-server (0.3.4)Reading composer.json of league/oauth2-server (0.3.5)Reading composer.json of league/oauth2-server (0.4) Reading composer.json of league/oauth2-server (0.4.1)Reading composer.json of league/oauth2-server (0.4.2)Reading composer.json of league/oauth2-server (1.0.0)Reading composer.json of league/oauth2-server (1.0.1)Reading composer.json of league/oauth2-server (1.0.2)Reading composer.json of league/oauth2-server (1.0.3)Reading composer.json of league/oauth2-server (1.0.4)Reading composer.json of league/oauth2-server (1.0.5)Reading composer.json of league/oauth2-server (1.0.6)Reading composer.json of league/oauth2-server (1.0.7)Reading composer.json of league/oauth2-server (1.0.8)Reading composer.json of league/oauth2-server (1.0.9)Reading composer.json of league/oauth2-server (2.0) Reading composer.json of league/oauth2-server (2.0.1)Reading composer.json of league/oauth2-server (2.0.2)Reading composer.json of league/oauth2-server (2.0.3)Reading composer.json of league/oauth2-server (2.0.4)Reading composer.json of league/oauth2-server (2.0.5)Reading composer.json of league/oauth2-server (2.1) Reading composer.json of league/oauth2-server (2.1.1)Reading composer.json of league/oauth2-server (2.1.2)Reading composer.json of league/oauth2-server (2.1.3)Reading composer.json of league/oauth2-server (3.0.0)Reading composer.json of league/oauth2-server (3.0.1)Reading composer.json of league/oauth2-server (3.1.0)Reading composer.json of league/oauth2-server (3.1.1)Reading composer.json of league/oauth2-server (3.1.2)Reading composer.json of league/oauth2-server (3.2) Reading composer.json of league/oauth2-server (3.2.1)Reading composer.json of league/oauth2-server (3.2.2)Reading composer.json of league/oauth2-server (3.2.3)Reading composer.json of league/oauth2-server (3.2.4)Reading composer.json of league/oauth2-server (4.0.0)Reading composer.json of league/oauth2-server (4.0.1)Reading composer.json of league/oauth2-server (4.0.2)Reading composer.json of league/oauth2-server (4.0.3)Reading composer.json of league/oauth2-server (4.0.4)Reading composer.json of league/oauth2-server (4.0.5)Reading composer.json of league/oauth2-server (4.1.0)Reading composer.json of league/oauth2-server (4.1.1)Reading composer.json of league/oauth2-server (4.1.2)Reading composer.json of league/oauth2-server (4.1.3)Reading composer.json of league/oauth2-server (4.1.4)Reading composer.json of league/oauth2-server (4.1.5)Reading composer.json of league/oauth2-server (4.1.6)Reading composer.json of league/oauth2-server (4.1.7)Reading composer.json of league/oauth2-server (5.0.0)Reading composer.json of league/oauth2-server (5.0.0-RC1)Reading composer.json of league/oauth2-server (5.0.0-RC2)Reading composer.json of league/oauth2-server (5.0.1) Reading composer.json of league/oauth2-server (5.0.2)Reading composer.json of league/oauth2-server (5.0.3)Reading composer.json of league/oauth2-server (5.1.0)Reading composer.json of league/oauth2-server (5.1.1)Reading composer.json of league/oauth2-server (5.1.2)Reading composer.json of league/oauth2-server (5.1.3)Reading composer.json of league/oauth2-server (5.1.4)Reading composer.json of league/oauth2-server (5.1.5)Reading composer.json of league/oauth2-server (5.1.6)Reading composer.json of league/oauth2-server (6.0.0)Reading composer.json of league/oauth2-server (6.0.1)Reading composer.json of league/oauth2-server (6.0.2)Reading composer.json of league/oauth2-server (6.1.0)Reading composer.json of league/oauth2-server (6.1.1)Reading composer.json of league/oauth2-server (7.0.0)Reading composer.json of league/oauth2-server (7.1.0)Reading composer.json of league/oauth2-server (7.1.1)Reading composer.json of league/oauth2-server (7.2.0)Reading composer.json of league/oauth2-server (7.3.0)Reading composer.json of league/oauth2-server (7.3.1)Reading composer.json of league/oauth2-server (7.3.2)Reading composer.json of league/oauth2-server (7.3.3)Reading composer.json of league/oauth2-server (7.4.0)Reading composer.json of league/oauth2-server (8.0.0)Reading composer.json of league/oauth2-server (8.1.0)Reading composer.json of league/oauth2-server (8.1.1)Reading composer.json of league/oauth2-server (8.2.0)Reading composer.json of league/oauth2-server (8.2.1)Reading composer.json of league/oauth2-server (8.2.2)Reading composer.json of league/oauth2-server (8.2.3)Reading composer.json of league/oauth2-server (8.2.4) Reading composer.json of league/oauth2-server (dev-issuer)Reading composer.json of league/oauth2-server (issuer) Reading composer.json of league/oauth2-server (master)Reading composer.json of league/oauth2-server (update_v9.0.0-alpha)Reading composer.json of league/oauth2-server (v9.0.0-alpha)  Warning from https://repo.packagist.org: Support for Composer 1 is deprecated and some packages will not be available. You should upgrade to Composer 2. See https://blog.packagist.com/deprecating-composer-1-support/
365Updating dependencies (including require-dev)
366Dependency resolution completed in 0.013 seconds
367Analyzed 10717 packages to resolve dependencies
368Analyzed 11510 rules to resolve dependencies
369Dependency resolution completed in 0.000 seconds
370Package operations: 56 installs, 1 update, 0 removals
371Installs: doctrine/sql-formatter:1.1.1, giorgiosironi/eris:0.10.0, squizlabs/php_codesniffer:3.6.0, sebastian/diff:3.0.3, composer/spdx-licenses:1.5.4, mediawiki/mediawiki-codesniffer:v37.0.0, tysonandre/var_representation_polyfill:0.1.1, sabre/event:5.1.2, netresearch/jsonmapper:v4.0.0, microsoft/tolerant-php-parser:v0.1.1, phpdocumentor/reflection-common:2.2.0, webmozart/assert:1.10.0, phpdocumentor/type-resolver:1.4.0, phpdocumentor/reflection-docblock:5.2.2, felixfbecker/advanced-json-rpc:v3.2.1, composer/xdebug-handler:2.0.2, phan/phan:5.2.0, mediawiki/phan-taint-check-plugin:3.3.2, mediawiki/mediawiki-phan-config:0.11.0, php-parallel-lint/php-console-color:v0.3, php-parallel-lint/php-console-highlighter:v0.5, seld/jsonlint:1.8.3, hamcrest/hamcrest-php:v2.0.1, wmde/hamcrest-html-matchers:v1.0.0, doctrine/event-manager:1.1.1, doctrine/cache:1.12.1, doctrine/dbal:2.10.4, sebastian/version:2.0.1, sebastian/type:1.1.4, sebastian/resource-operations:2.0.2, sebastian/recursion-context:3.0.1, sebastian/object-reflector:1.1.2, sebastian/object-enumerator:3.0.4, sebastian/global-state:3.0.1, sebastian/exporter:3.1.3, sebastian/environment:4.2.4, sebastian/comparator:3.0.3, phpunit/php-timer:2.1.3, phpunit/php-text-template:1.2.1, phpunit/php-file-iterator:2.0.4, theseer/tokenizer:1.2.1, sebastian/code-unit-reverse-lookup:1.0.2, phpunit/php-token-stream:3.1.3, phpunit/php-code-coverage:7.0.15, doctrine/instantiator:1.4.0, phpspec/prophecy:1.14.0, myclabs/deep-copy:1.10.2, phar-io/version:3.1.0, phar-io/manifest:2.0.3, phpunit/phpunit:8.5.20, johnkary/phpunit-speedtrap:v3.3.0, php-parallel-lint/php-parallel-lint:v1.3.0, swaggest/json-diff:v3.8.1, phplang/scope-exit:1.0.0, swaggest/json-schema:v0.12.29, symfony/yaml:v5.3.6
372Updates: justinrainbow/json-schema:5.2.11
373 - Updating justinrainbow/json-schema (5.2.10 => 5.2.11): As there is no 'unzip' command installed zip files are being unpacked using the PHP zip extension.
374This may cause invalid reports of corrupted archives. Besides, any UNIX permissions (e.g. executable) defined in the archives will be lost.
375Installing 'unzip' may remediate them.
376Loading from cache
377 - Installing doctrine/sql-formatter (1.1.1): Loading from cache
378 Extracting archive - Installing giorgiosironi/eris (0.10.0): Loading from cache
379 Extracting archive - Installing squizlabs/php_codesniffer (3.6.0): Loading from cache
380 Extracting archive - Installing sebastian/diff (3.0.3): Loading from cache
381 Extracting archive - Installing composer/spdx-licenses (1.5.4): Loading from cache
382 Extracting archive - Installing mediawiki/mediawiki-codesniffer (v37.0.0): Loading from cache
383 Extracting archive - Installing tysonandre/var_representation_polyfill (0.1.1): Loading from cache
384 Extracting archive - Installing sabre/event (5.1.2): Loading from cache
385 Extracting archive - Installing netresearch/jsonmapper (v4.0.0): Loading from cache
386 Extracting archive - Installing microsoft/tolerant-php-parser (v0.1.1): Loading from cache
387 Extracting archive - Installing phpdocumentor/reflection-common (2.2.0): Loading from cache
388 Extracting archive - Installing webmozart/assert (1.10.0): Loading from cache
389 Extracting archive - Installing phpdocumentor/type-resolver (1.4.0): Loading from cache
390 Extracting archive - Installing phpdocumentor/reflection-docblock (5.2.2): Loading from cache
391 Extracting archive - Installing felixfbecker/advanced-json-rpc (v3.2.1): Loading from cache
392 Extracting archive - Installing composer/xdebug-handler (2.0.2): Loading from cache
393 Extracting archive - Installing phan/phan (5.2.0): Loading from cache
394 Extracting archive - Installing mediawiki/phan-taint-check-plugin (3.3.2): Loading from cache
395 Extracting archive - Installing mediawiki/mediawiki-phan-config (0.11.0): Loading from cache
396 Extracting archive - Installing php-parallel-lint/php-console-color (v0.3): Loading from cache
397 Extracting archive - Installing php-parallel-lint/php-console-highlighter (v0.5): Loading from cache
398 Extracting archive - Installing seld/jsonlint (1.8.3): Loading from cache
399 Extracting archive - Installing hamcrest/hamcrest-php (v2.0.1): Loading from cache
400 Extracting archive - Installing wmde/hamcrest-html-matchers (v1.0.0): Loading from cache
401 Extracting archive - Installing doctrine/event-manager (1.1.1): Loading from cache
402 Extracting archive - Installing doctrine/cache (1.12.1): Loading from cache
403 Extracting archive - Installing doctrine/dbal (2.10.4): Loading from cache
404 Extracting archive - Installing sebastian/version (2.0.1): Loading from cache
405 Extracting archive - Installing sebastian/type (1.1.4): Loading from cache
406 Extracting archive - Installing sebastian/resource-operations (2.0.2): Loading from cache
407 Extracting archive - Installing sebastian/recursion-context (3.0.1): Loading from cache
408 Extracting archive - Installing sebastian/object-reflector (1.1.2): Loading from cache
409 Extracting archive - Installing sebastian/object-enumerator (3.0.4): Loading from cache
410 Extracting archive - Installing sebastian/global-state (3.0.1): Loading from cache
411 Extracting archive - Installing sebastian/exporter (3.1.3): Loading from cache
412 Extracting archive - Installing sebastian/environment (4.2.4): Loading from cache
413 Extracting archive - Installing sebastian/comparator (3.0.3): Loading from cache
414 Extracting archive - Installing phpunit/php-timer (2.1.3): Loading from cache
415 Extracting archive - Installing phpunit/php-text-template (1.2.1): Loading from cache
416 Extracting archive - Installing phpunit/php-file-iterator (2.0.4): Loading from cache
417 Extracting archive - Installing theseer/tokenizer (1.2.1): Loading from cache
418 Extracting archive - Installing sebastian/code-unit-reverse-lookup (1.0.2): Loading from cache
419 Extracting archive - Installing phpunit/php-token-stream (3.1.3): Loading from cache
420 Extracting archive - Installing phpunit/php-code-coverage (7.0.15): Loading from cache
421 Extracting archive - Installing doctrine/instantiator (1.4.0): Loading from cache
422 Extracting archive - Installing phpspec/prophecy (1.14.0): Loading from cache
423 Extracting archive - Installing myclabs/deep-copy (1.10.2): Loading from cache
424 Extracting archive - Installing phar-io/version (3.1.0): Loading from cache
425 Extracting archive - Installing phar-io/manifest (2.0.3): Loading from cache
426 Extracting archive - Installing phpunit/phpunit (8.5.20): Loading from cache
427 Extracting archive - Installing johnkary/phpunit-speedtrap (v3.3.0): Loading from cache
428 Extracting archive - Installing php-parallel-lint/php-parallel-lint (v1.3.0): Loading from cache
429 Extracting archive - Installing swaggest/json-diff (v3.8.1): Loading from cache
430 Extracting archive - Installing phplang/scope-exit (1.0.0): Loading from cache
431 Extracting archive - Installing swaggest/json-schema (v0.12.29): Loading from cache
432 Extracting archive - Installing symfony/yaml (v5.3.6): Loading from cache
433 Extracting archivegiorgiosironi/eris suggests installing icomefromthenet/reverse-regex (v0.0.6.3 for the regex() Generator)
434tysonandre/var_representation_polyfill suggests installing ext-var_representation (*)
435phan/phan suggests installing ext-ast (Needed for parsing ASTs (unless --use-fallback-parser is used). 1.0.1+ is needed, 1.0.14+ is recommended.)
436phan/phan suggests installing ext-igbinary (Improves performance of polyfill when ext-ast is unavailable)
437phan/phan suggests installing ext-var_representation (Suggested for converting values to strings in issue messages)
438doctrine/cache suggests installing alcaeus/mongo-php-adapter (Required to use legacy MongoDB driver)
439sebastian/global-state suggests installing ext-uopz (*)
440phpunit/php-code-coverage suggests installing ext-xdebug (^2.7.2)
441phpunit/phpunit suggests installing phpunit/php-invoker (^2.0.0)
442phpunit/phpunit suggests installing ext-soap (*)
443phpunit/phpunit suggests installing ext-xdebug (*)
444Package guzzlehttp/ringphp is abandoned, you should avoid using it. No replacement was suggested.
445Package guzzlehttp/streams is abandoned, you should avoid using it. No replacement was suggested.
446Package sebastian/resource-operations is abandoned, you should avoid using it. No replacement was suggested.
447Package phpunit/php-token-stream is abandoned, you should avoid using it. No replacement was suggested.
448Writing lock file
449Generating optimized autoload files
45052 packages you are using are looking for funding.
451Use the `composer fund` command to find out more!
452Generating optimized autoload files (authoritative)
453Generated optimized autoload files (authoritative) containing 6140 classes
454INFO:quibble.util:Copying /workspace/src/composer.json to /workspace/log/composer.core.json.txt
455INFO:quibble.util:Copying /workspace/src/vendor/composer.json to /workspace/log/composer.vendor.json.txt
456INFO:quibble.util:Copying /workspace/src/vendor/composer/autoload_files.php to /workspace/log/composer.autoload_files.php.txt
457INFO:quibble.commands:<<< Finish: Install composer dev-requires for vendor.git, in 10.344 s
458Start backends
459
460Hide Details
461INFO:quibble.commands:>>> Start: Start backends, <MySQL (no socket)>
462INFO:backend.MySQL:Starting MySQL
463INFO:backend.MySQL:Initializing MySQL data directory
464INFO:backend.MySQL:Waiting for MySQL socket
465INFO:backend.MySQL:Creating the wiki database and grant
466INFO:backend.MySQL:MySQL is ready
467INFO:quibble.commands:<<< Finish: Start backends, <MySQL (no socket)>, in 3.482 s
468Install MediaWiki
469
470Hide Details
471INFO:quibble.commands:>>> Start: Install MediaWiki, db=<MySQL /workspace/db/quibble-mysql-pu48ay6r/socket> vendor=True
472INFO:mw.maintenance.install:php maintenance/install.php --scriptpath= --server=http://127.0.0.1:9412 --dbtype=mysql --dbname=wikidb --dbuser=wikiuser --dbpass=secret --dbserver=localhost:/workspace/db/quibble-mysql-pu48ay6r/socket --with-extensions --pass=testwikijenkinspass TestWiki WikiAdmin
473PHP 7.2.34-18+0~20210223.60+debian10~1.gbpb21322+wmf1 is installed.
474Found ImageMagick: /usr/bin/convert. Image thumbnailing will be enabled if you enable uploads.
475Found the Git version control software: /usr/bin/git.
476Using server name "http://localhost".
477Using server URL "http://127.0.0.1:9412".
478Warning: Your default directory for uploads (/workspace/src/images/) is not checked for vulnerability to arbitrary script execution during the CLI install.
479Using the PHP intl extension for Unicode normalization.
480The environment has been checked. You can install MediaWiki.
481Including extensions
482done
483Setting up database
484done
485Creating tables, step one
486done
487Creating database user
488done
489Creating tables, step two
490done
491Populating default interwiki table
492done
493Initializing statistics
494done
495Generating secret keys
496done
497Prevent running unneeded updates
498done
499Restoring mediawiki services
500done
501Creating administrator user account
502done
503Creating main page with default content
504done
505Creating tables for enabled extensions
506Creating spoofuser table ...done.
507Creating betafeatures_user_counts table ...done.
508Creating cu_changes table ...done.
509Creating cu_log table ...done.
510...index cuc_ip_hex_time already set on cu_changes table.
511...index cuc_user_ip_time already set on cu_changes table.
512...have cuc_private field in cu_changes table.
513Modifying cuc_id field of table cu_changes ...done.
514Creating echo_event table ...done.
515...echo_target_page table does not contain etp_user field.
516...index echo_notification_event already set on echo_notification table.
517...have event_deleted field in echo_event table.
518...index echo_notification_user_read_timestamp already set on echo_notification table.
519...index echo_target_page_page_event already set on echo_target_page table.
520...index echo_event_page_id already set on echo_event table.
521...user_event key doesn't exist.
522Running extensions/Echo/maintenance/updateEchoSchemaForSuppression.php...
523No event_page_title field, skipping migration from event_page_title to event_page_id
524done.
525...echo_event table does not contain event_page_namespace field.
526...echo_event table does not contain event_page_title field.
527...echo_notification table does not contain notification_bundle_base field.
528...echo_notification table does not contain notification_bundle_display_hash field.
529...echo_notification_user_hash_timestamp key doesn't exist.
530Creating echo_push_provider table ...done.
531Creating echo_push_topic table ...done.
532Creating echo_push_subscription table ...done.
533...echo_unread_wikis table does not exist, skipping modify field patch.
534...flaggedimages doesn't exist.
535Creating flaggedrevs table ...done.
536...index fr_user already set on flaggedrevs table.
537Creating geo_tags table ...done.
538...coordinates are already DECIMAL in geo_tags.
539Creating wbs_propertypairs table ...done.
540Creating transcode table ...done.
541...index transcode_name_key already set on transcode table.
542Creating wbqc_constraints table ...done.
543...have constraint_id field in wbqc_constraints table.
544...index wbqc_constraints_guid_uniq already set on wbqc_constraints table.
545Creating abuse_filter table ...done.
546...abuse_filter_log table does not contain afl_log_id field.
547...have afl_filter_id field in abuse_filter_log table.
548...index afl_wiki_timestamp already set on abuse_filter_log table.
549done
550Database was successfully set up
551MediaWiki has been successfully installed. You can now visit <http://127.0.0.1:9412> to view your wiki. If you have questions, check out our frequently asked questions list: <https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:FAQ> or use one of the support forums linked on that page.
552INFO:quibble.util:Copying /workspace/src/LocalSettings.php to /workspace/log/LocalSettings.php
553INFO:quibble.util:Copying /workspace/src/LocalSettings-installer.php to /workspace/log/LocalSettings-installer.php
554No syntax errors detected in /workspace/src/LocalSettings.php
555INFO:quibble.commands:mediawiki/vendor used. Skipping external dependencies
556INFO:mw.maintenance.update:php maintenance/update.php --quick --skip-external-dependencies
557MediaWiki 1.37.0-alpha Updater
558
559Skipping checking whether external dependencies are up to date, proceed at your own risk
560Going to run database updates for wikidb
561Depending on the size of your database this may take a while!
562...collations up-to-date.
563...index rc_name_type_patrolled_timestamp already set on recentchanges table.
564...rev_page_id index already non-unique.
565...pl_namespace, tl_namespace, il_to indices are already non-UNIQUE.
566...have ct_id field in change_tag table.
567Modifying rc_ip field of table recentchanges ...done.
568...have el_index_60 field in externallinks table.
569...ug_user_group key doesn't exist.
570...have ug_expiry field in user_groups table.
571Modifying img_media_type field of table image ...done.
572...ip_changes table already exists.
573...index PRIMARY already set on categorylinks table.
574...index PRIMARY already set on templatelinks table.
575...index PRIMARY already set on pagelinks table.
576...index PRIMARY already set on text table.
577...index PRIMARY already set on imagelinks table.
578...index PRIMARY already set on iwlinks table.
579...index PRIMARY already set on langlinks table.
580...index PRIMARY already set on log_search table.
581...index PRIMARY already set on module_deps table.
582...index PRIMARY already set on objectcache table.
583...index PRIMARY already set on querycache_info table.
584...index PRIMARY already set on site_stats table.
585...index PRIMARY already set on user_former_groups table.
586...index PRIMARY already set on user_properties table.
587...comment table already exists.
588...revision_comment_temp table already exists.
589...have ar_comment_id field in archive table.
590...have fa_description_id field in filearchive table.
591...img_description field does not exist in image table, skipping modify field patch.
592...have ipb_reason_id field in ipblocks table.
593...have log_comment_id field in logging table.
594...have oi_description_id field in oldimage table.
595...have pt_reason_id field in protected_titles table.
596...have rc_comment_id field in recentchanges table.
597...have img_description_id field in image table.
598Migrating comments to the 'comments' table, printing progress markers. For large
599databases, you may want to hit Ctrl-C and do this manually with
600maintenance/migrateComments.php.
601No need to migrate revision.rev_comment, field does not exist
602No need to migrate archive.ar_comment, field does not exist
603No need to migrate ipblocks.ipb_reason, field does not exist
604No need to migrate image.img_description, field does not exist
605No need to migrate oldimage.oi_description, field does not exist
606No need to migrate filearchive.fa_deleted_reason, field does not exist
607No need to migrate filearchive.fa_description, field does not exist
608No need to migrate recentchanges.rc_comment, field does not exist
609No need to migrate logging.log_comment, field does not exist
610No need to migrate protected_titles.pt_reason, field does not exist
611done.
612...index PRIMARY already set on l10n_cache table.
613...bot_passwords.bp_user is already unsigned int.
614...change_tag.ct_log_id is already unsigned int.
615...change_tag.ct_rev_id is already unsigned int.
616...page_restrictions.pr_user is already unsigned int.
617...user_newtalk.user_id is already unsigned int.
618...user_properties.up_user is already unsigned int.
619...change_tag.ct_rc_id is already unsigned int.
620...slots table already exists.
621...have slot_origin field in slots table.
622...content table already exists.
623...slot_roles table already exists.
624...content_models table already exists.
625...actor table already exists.
626...revision_actor_temp table already exists.
627...have ar_actor field in archive table.
628...have ipb_by_actor field in ipblocks table.
629...have img_actor field in image table.
630...have oi_actor field in oldimage table.
631...have fa_actor field in filearchive table.
632...have rc_actor field in recentchanges table.
633...have log_actor field in logging table.
634Migrating actors to the 'actor' table, printing progress markers. For large
635databases, you may want to hit Ctrl-C and do this manually with
636maintenance/migrateActors.php.
637Creating actor entries for all registered users
638... 1 - 3
639Completed actor creation, added 0 new actor(s)
640No need to migrate revision.rev_user, field does not exist
641No need to migrate archive.ar_user, field does not exist
642No need to migrate ipblocks.ipb_by, field does not exist
643No need to migrate image.img_user, field does not exist
644No need to migrate oldimage.oi_user, field does not exist
645No need to migrate filearchive.fa_user, field does not exist
646No need to migrate recentchanges.rc_user, field does not exist
647No need to migrate logging.log_user, field does not exist
648Beginning migration of log_search
649Completed migration, inserted 0 row(s) with 0 new actor(s), 0 error(s)
650done.
651Modifying table site_stats ...done.
652...index rc_namespace_title_timestamp already set on recentchanges table.
653...change_tag_def table already exists.
654Populating el_index_60 field, printing progress markers. For large
655databases, you may want to hit Ctrl-C and do this manually with
656maintenance/populateExternallinksIndex60.php.
657Populating externallinks.el_index_60...
658el_id 0 - 200 of 6
659Done, 0 rows updated.
660done.
661Removing 'externallinks.el_index_60' default value
662Running maintenance/deduplicateArchiveRevId.php...
663Deduplicating ar_rev_id...
664New install, nothing to do here.
665done.
666...have ct_tag_id field in change_tag table.
667...index ar_revid_uniq already set on archive table.
668Migrating revision data to the MCR 'slot' and 'content' tables, printing progress markers.
669For large databases, you may want to hit Ctrl-C and do this manually with
670maintenance/populateContentTables.php.
671Populating revision...
672No need to populate, revision.rev_text_id field does not exist
673Populating archive...
674No need to populate, archive.ar_text_id field does not exist
675Done. Processed 0 rows in 0.0042798519134521 seconds
676done.
677...index log_type_action already set on logging table.
678...type_action key doesn't exist.
679...index PRIMARY already set on interwiki table.
680...index PRIMARY already set on page_props table.
681...index PRIMARY already set on protected_titles table.
682...index PRIMARY already set on site_identifiers table.
683...index rc_this_oldid already set on recentchanges table.
684...transcache doesn't exist.
685Running maintenance/populateChangeTagDef.php...
686done.
687...change_tag_rc_tag key doesn't exist.
688...have ipb_sitewide field in ipblocks table.
689...ipblocks_restrictions table already exists.
690...change_tag table does not contain ct_tag field.
691...valid_tag doesn't exist.
692...tag_summary doesn't exist.
693...archive table does not contain ar_comment field.
694...ipblocks table does not contain ipb_reason field.
695...image table does not contain img_description field.
696...oldimage table does not contain oi_description field.
697...filearchive table does not contain fa_description field.
698...recentchanges table does not contain rc_comment field.
699...logging table does not contain log_comment field.
700...protected_titles table does not contain pt_reason field.
701Modifying table job ...done.
702...ar_usertext_timestamp key doesn't exist.
703...usertext_timestamp key doesn't exist.
704...archive table does not contain ar_user field.
705...ipblocks table does not contain ip_by field.
706...img_user_timestamp key doesn't exist.
707...image table does not contain img_user field.
708...oldimage table does not contain oi_user field.
709...filearchive table does not contain fa_user field.
710...recentchanges table does not contain rc_user field.
711...logging table does not contain log_user field.
712...index un_user_ip already set on user_newtalk table.
713...watchlist_expiry table already exists.
714Modifying page_restrictions field of table page ...done.
715...index ipb_address_unique already set on ipblocks table.
716...have rev_actor field in revision table.
717...archive table does not contain ar_text_id field.
718...lc_lang is up-to-date.
719...ll_lang is up-to-date.
720...site_language is up-to-date.
721...index ipb_address_unique on table ipblocks has no field ipb_anon_only; added.
722...ipb_address_unique index up-to-date.
723Modifying actor_name field of table actor ...done.
724Modifying site_global_key field of table sites ...done.
725Modifying iwl_prefix field of table iwlinks ...done.
726Modifying rd_title field of table redirect ...done.
727Modifying pl_title field of table pagelinks ...done.
728Modifying tl_title field of table templatelinks ...done.
729Modifying il_to field of table imagelinks ...done.
730Modifying ll_title field of table langlinks ...done.
731Modifying iwl_title field of table iwlinks ...done.
732Modifying cat_title field of table category ...done.
733Modifying qc_title field of table querycache ...done.
734Modifying qcc_title field of table querycachetwo ...done.
735Modifying wl_title field of table watchlist ...done.
736Modifying user_last_timestamp field of table user_newtalk ...done.
737Modifying pt_title field of table protected_titles ...done.
738Removing 'protected_titles.pt_expiry' default value
739Removing 'ip_changes.ipc_rev_timestamp' default value
740Removing 'revision_actor_temp.revactor_timestamp' default value
741Modifying ir_type field of table ipblocks_restrictions ...done.
742...index wl_namespace_title already set on watchlist table.
743Modifying job_title field of table job ...done.
744Modifying job_timestamp field of table job ...done.
745Modifying job_token_timestamp field of table job ...done.
746Modifying wl_notificationtimestamp field of table watchlist ...done.
747Modifying role_id field of table slot_roles ...done.
748Modifying model_id field of table content_models ...done.
749Modifying cl_to field of table categorylinks ...done.
750Modifying log_title field of table logging ...done.
751Modifying us_timestamp field of table uploadstash ...done.
752...index up_property already set on user_properties table.
753...index site_global_key already set on sites table.
754...index log_type_time already set on logging table.
755Modifying fa_name field of table filearchive ...done.
756Removing 'filearchive.fa_deleted_timestamp' default value
757Removing 'filearchive.fa_timestamp' default value
758Modifying oi_name field of table oldimage ...done.
759Removing 'oldimage.oi_timestamp' default value
760Modifying exptime field of table objectcache ...done.
761Removing 'ipblocks.ipb_timestamp' default value
762Removing 'ipblocks.ipb_expiry' default value
763...index ar_name_title_timestamp already set on archive table.
764Modifying img_name field of table image ...done.
765Removing 'image.img_timestamp' default value
766Modifying img_timestamp field of table image ...done.
767...index si_key already set on site_identifiers table.
768Modifying rc_title field of table recentchanges ...done.
769Removing 'recentchanges.rc_timestamp' default value
770Modifying rc_timestamp field of table recentchanges ...done.
771Modifying rc_id field of table recentchanges ...done.
772...index rc_new_name_timestamp already set on recentchanges table.
773Removing 'archive.ar_timestamp' default value
774Modifying ar_title field of table archive ...done.
775Modifying page_title field of table page ...done.
776Removing 'page.page_touched' default value
777Modifying user_name field of table user ...done.
778...index rev_page_timestamp already set on revision table.
779...have modtoken field in objectcache table.
780Removing 'revision.rev_timestamp' default value
781...index oi_timestamp already set on oldimage table.
782...index page_name_title already set on page table.
783...index ct_rc_tag_id already set on change_tag table.
784...spoofuser table already exists.
785...betafeatures_user_counts table already exists.
786...cu_changes table already exists.
787...cu_log table already exists.
788...index cuc_ip_hex_time already set on cu_changes table.
789...index cuc_user_ip_time already set on cu_changes table.
790...have cuc_private field in cu_changes table.
791...cuc_id in table cu_changes already modified by patch /workspace/src/extensions/CheckUser/src/../archives/patch-cu_changes-cuc_id-unsigned.sql.
792...echo_event table already exists.
793...echo_target_page table does not contain etp_user field.
794...index echo_notification_event already set on echo_notification table.
795...have event_deleted field in echo_event table.
796...index echo_notification_user_read_timestamp already set on echo_notification table.
797...index echo_target_page_page_event already set on echo_target_page table.
798...index echo_event_page_id already set on echo_event table.
799...user_event key doesn't exist.
800Running extensions/Echo/maintenance/updateEchoSchemaForSuppression.php...
801...Update 'UpdateEchoSchemaForSuppression' already logged as completed. Use --force to run it again.
802done.
803...echo_event table does not contain event_page_namespace field.
804...echo_event table does not contain event_page_title field.
805...echo_notification table does not contain notification_bundle_base field.
806...echo_notification table does not contain notification_bundle_display_hash field.
807...echo_notification_user_hash_timestamp key doesn't exist.
808...echo_push_provider table already exists.
809...echo_push_topic table already exists.
810...echo_push_subscription table already exists.
811...echo_unread_wikis table does not exist, skipping modify field patch.
812...flaggedimages doesn't exist.
813...flaggedrevs table already exists.
814...index fr_user already set on flaggedrevs table.
815...geo_tags table already exists.
816...coordinates are already DECIMAL in geo_tags.
817...wbs_propertypairs table already exists.
818...transcode table already exists.
819...index transcode_name_key already set on transcode table.
820...wbqc_constraints table already exists.
821...have constraint_id field in wbqc_constraints table.
822...index wbqc_constraints_guid_uniq already set on wbqc_constraints table.
823...abuse_filter table already exists.
824...abuse_filter_log table does not contain afl_log_id field.
825...have afl_filter_id field in abuse_filter_log table.
826...index afl_wiki_timestamp already set on abuse_filter_log table.
827Creating globaluser table ...done.
828Creating wb_changes table ...done.
829Creating wb_changes_dispatch table ...done.
830Creating wb_id_counters table ...done.
831Creating wb_items_per_site table ...done.
832Modifying ips_site_page field of table wb_items_per_site ...done.
833...wb_ips_site_page key doesn't exist.
834Modifying change_info field of table wb_changes ...done.
835Creating wb_property_info table ...done.
836Creating wbt_text table ...done.
837...wb_terms doesn't exist.
838Creating wb_changes_subscription table ...done.
839...wb_changes_change_type key doesn't exist.
840Modifying chd_seen field of table wb_changes_dispatch ...done.
841Creating wbc_entity_usage table ...done.
842 Filling usage table: processed 0 pages, starting with page #0.
843...site_stats is populated...done.
844Checking existence of old default messages...done.
845Populating rev_len column
846...doing rev_id from 1 to 200
847Populating ar_len column
848...archive table seems to be empty.
849rev_len and ar_len population complete [0 revision rows, 0 archive rows].
850Populating rev_sha1 column
851...doing rev_id from 1 to 200
852Populating ar_sha1 column
853...archive table seems to be empty.
854Populating ar_sha1 column legacy rows
855rev_sha1 and ar_sha1 population complete [0 revision rows, 0 archive rows].
856Populating img_sha1 field
857
858Done 0 files in 0.0 seconds
859Fixing protocol-relative entries in the externallinks table...
860Done, 0 rows updated.
861Populating fa_sha1 field from fa_storage_key
862
863Done 0 files in 0.0 seconds
864Updating *_from_namespace fields in links tables.
865...doing page_id from 1 to 200
866Adding empty categories with description pages...
867Removing empty categories without description pages...
868Category cleanup complete.
869Populating page_props.pp_sortkey...
870Populating page_props.pp_sortkey complete.
871Updated a total of 0 rows
872Copying IP revisions to ip_changes, from rev_id 0 to rev_id 1
873Attempted to insert 0 IP revisions, 0 actually done.
874Updating externallinks table index fields
875el_id 0 - 6 of 6
876Done, 0 rows updated, 0 deleted.
877Removing orphaned echo_event rows...
878Removing any remaining orphaned echo_target_page rows...
879No throttle parameters to normalize.
880Throttle parameters successfully normalized. Changed 0 rows.
881MediaWiki\Extension\AbuseFilter\Maintenance\FixOldLogEntries deleted 0 rows.
882MediaWiki\Extension\AbuseFilter\Maintenance\FixOldLogEntries updated newlines for 0 rows.
883MediaWiki\Extension\AbuseFilter\Maintenance\FixOldLogEntries updated fields for 0 rows.
884...the abuse_filter_log table is empty.
885... processing afl_id's from 1 to 500
886No rows to change
887Purging caches...done.
888
889Done in 0.5 s.
890INFO:mw.maintenance.rebuildLocalisationCache:php maintenance/rebuildLocalisationCache.php --lang en
891Rebuilding en...
8921 languages rebuilt out of 1
893INFO:quibble.commands:<<< Finish: Install MediaWiki, db=<MySQL /workspace/db/quibble-mysql-pu48ay6r/socket> vendor=True, in 1.895 s
894npm install in /workspace/src
895
896Hide Details
897INFO:quibble.commands:>>> Start: npm install in /workspace/src
898
899> core-js-pure@3.14.0 postinstall /workspace/src/node_modules/core-js-pure
900> node -e "try{require('./postinstall')}catch(e){}"
901
902
903> core-js@3.14.0 postinstall /workspace/src/node_modules/core-js
904> node -e "try{require('./postinstall')}catch(e){}"
905
906
907> fibers@5.0.0 install /workspace/src/node_modules/fibers
908> node build.js || nodejs build.js
909
910make: Entering directory '/workspace/src/node_modules/fibers/build'
911 CXX(target) Release/obj.target/fibers/src/fibers.o
912../src/fibers.cc: In function ‘void uni::SetAccessor(v8::Isolate*, v8::Local<v8::Object>, v8::Local<v8::String>, uni::FunctionType (*)(v8::Local<v8::String>, const GetterCallbackInfo&), void (*)(v8::Local<v8::String>, v8::Local<v8::Value>, const SetterCallbackInfo&))’:
913../src/fibers.cc:355:87: warning: cast between incompatible function types from ‘uni::FunctionType (*)(v8::Local<v8::String>, const GetterCallbackInfo&)’ {aka ‘void (*)(v8::Local<v8::String>, const v8::PropertyCallbackInfo<v8::Value>&)’} to ‘v8::AccessorNameGetterCallback’ {aka ‘void (*)(v8::Local<v8::Name>, const v8::PropertyCallbackInfo<v8::Value>&)’} [-Wcast-function-type]
914 object->SetAccessor(isolate->GetCurrentContext(), name, (AccessorNameGetterCallback)getter, (AccessorNameSetterCallback)setter).ToChecked();
915 ^~~~~~
916../src/fibers.cc:355:123: warning: cast between incompatible function types from ‘void (*)(v8::Local<v8::String>, v8::Local<v8::Value>, const SetterCallbackInfo&)’ {aka ‘void (*)(v8::Local<v8::String>, v8::Local<v8::Value>, const v8::PropertyCallbackInfo<void>&)’} to ‘v8::AccessorNameSetterCallback’ {aka ‘void (*)(v8::Local<v8::Name>, v8::Local<v8::Value>, const v8::PropertyCallbackInfo<void>&)’} [-Wcast-function-type]
917 object->SetAccessor(isolate->GetCurrentContext(), name, (AccessorNameGetterCallback)getter, (AccessorNameSetterCallback)setter).ToChecked();
918 ^~~~~~
919In file included from ../src/coroutine.h:1,
920 from ../src/fibers.cc:1:
921../src/fibers.cc: At global scope:
922/cache/node-gyp/10.24.0/include/node/node.h:573:43: warning: cast between incompatible function types from ‘void (*)(v8::Local<v8::Object>)’ to ‘node::addon_register_func’ {aka ‘void (*)(v8::Local<v8::Object>, v8::Local<v8::Value>, void*)’} [-Wcast-function-type]
923 (node::addon_register_func) (regfunc), \
924 ^
925/cache/node-gyp/10.24.0/include/node/node.h:607:3: note: in expansion of macro ‘NODE_MODULE_X’
926 NODE_MODULE_X(modname, regfunc, NULL, 0) // NOLINT (readability/null_usage)
927 ^~~~~~~~~~~~~
928../src/fibers.cc:930:1: note: in expansion of macro ‘NODE_MODULE’
929 NODE_MODULE(fibers, init)
930 ^~~~~~~~~~~
931 CXX(target) Release/obj.target/fibers/src/coroutine.o
932 CC(target) Release/obj.target/fibers/src/libcoro/coro.o
933 SOLINK_MODULE(target) Release/obj.target/fibers.node
934 COPY Release/fibers.node
935make: Leaving directory '/workspace/src/node_modules/fibers/build'
936Installed in `/workspace/src/node_modules/fibers/bin/linux-x64-64-glibc/fibers.node`
937added 1095 packages in 12.593s
938INFO:quibble.commands:<<< Finish: npm install in /workspace/src, in 13.561 s
939Start backends
940
941Hide Details
942INFO:quibble.commands:>>> Start: Start backends, <PhpWebserver http://127.0.0.1:9412 /workspace/src> <Xvfb :94> <ChromeWebDriver :94>
943INFO:backend.Xvfb:Starting Xvfb on display :94
944INFO:backend.ChromeWebDriver:Starting Chromedriver
945INFO:quibble.use_headless:Display: :94
946DEBUG:quibble.chromium_flags:Flags: ['', '--autoplay-policy=no-user-gesture-required', '--disable-pushstate-throttle', '--no-sandbox']
947INFO:quibble.commands:<<< Finish: Start backends, <PhpWebserver http://127.0.0.1:9412 /workspace/src> <Xvfb :94> <ChromeWebDriver :94>, in 0.121 s
948Browser tests for projects mediawiki/extensions/WikibaseMediaInfo
949
950Hide Details
951INFO:quibble.commands:>>> Start: Browser tests for projects mediawiki/extensions/WikibaseMediaInfo, mediawiki/core, mediawiki/extensions/AbuseFilter, mediawiki/extensions/AntiSpoof, mediawiki/extensions/ArticlePlaceholder, mediawiki/extensions/BetaFeatures, mediawiki/extensions/CentralAuth, mediawiki/extensions/CheckUser, mediawiki/extensions/CirrusSearch, mediawiki/extensions/Cite, mediawiki/extensions/CodeEditor, mediawiki/extensions/ConfirmEdit, mediawiki/extensions/Echo, mediawiki/extensions/Elastica, mediawiki/extensions/EventBus, mediawiki/extensions/EventLogging, mediawiki/extensions/EventStreamConfig, mediawiki/extensions/FlaggedRevs, mediawiki/extensions/GeoData, mediawiki/extensions/GuidedTour, mediawiki/extensions/MobileApp, mediawiki/extensions/MobileFrontend, mediawiki/extensions/ParserFunctions, mediawiki/extensions/PdfHandler, mediawiki/extensions/PropertySuggester, mediawiki/extensions/Renameuser, mediawiki/extensions/Scribunto, mediawiki/extensions/SiteMatrix, mediawiki/extensions/SyntaxHighlight_GeSHi, mediawiki/extensions/TemplateData, mediawiki/extensions/TimedMediaHandler, mediawiki/extensions/UniversalLanguageSelector, mediawiki/extensions/VisualEditor, mediawiki/extensions/WikiEditor, mediawiki/extensions/Wikibase, mediawiki/extensions/WikibaseCirrusSearch, mediawiki/extensions/WikibaseLexeme, mediawiki/extensions/WikibaseQualityConstraints, mediawiki/extensions/WikimediaBadges, mediawiki/extensions/WikimediaEvents, mediawiki/extensions/cldr, mediawiki/skins/MinervaNeue, mediawiki/skins/Vector, mediawiki/vendor
952Selenium extensions/WikibaseMediaInfo
953
954Hide Details
955INFO:quibble.commands:Running webdriver test in /workspace/src/extensions/WikibaseMediaInfo
956WARNING:backend.ChromeWebDriver:[1631286129.974][SEVERE]: bind() failed: Cannot assign requested address (99)
957
958> core-js-pure@3.15.2 postinstall /workspace/src/extensions/WikibaseMediaInfo/node_modules/core-js-pure
959> node -e "try{require('./postinstall')}catch(e){}"
960
961
962> core-js@3.15.2 postinstall /workspace/src/extensions/WikibaseMediaInfo/node_modules/core-js
963> node -e "try{require('./postinstall')}catch(e){}"
964
965
966> chromedriver@2.46.0 install /workspace/src/extensions/WikibaseMediaInfo/node_modules/chromedriver
967> node install.js
968
969Current existing ChromeDriver binary is unavailable, proceding with download and extraction.
970Downloading from file: https://chromedriver.storage.googleapis.com/2.46/chromedriver_linux64.zip
971Saving to file: /tmp/2.46/chromedriver/chromedriver_linux64.zip
972Received 781K...
973Received 1568K...
974Received 2352K...
975Received 3136K...
976Received 3920K...
977Received 4704K...
978Received 5277K total.
979Extracting zip contents
980Copying to target path /workspace/src/extensions/WikibaseMediaInfo/node_modules/chromedriver/lib/chromedriver
981Fixing file permissions
982Done. ChromeDriver binary available at /workspace/src/extensions/WikibaseMediaInfo/node_modules/chromedriver/lib/chromedriver/chromedriver
983
984> fibers@5.0.0 install /workspace/src/extensions/WikibaseMediaInfo/node_modules/fibers
985> node build.js || nodejs build.js
986
987make: Entering directory '/workspace/src/extensions/WikibaseMediaInfo/node_modules/fibers/build'
988 CXX(target) Release/obj.target/fibers/src/fibers.o
989../src/fibers.cc: In function ‘void uni::SetAccessor(v8::Isolate*, v8::Local<v8::Object>, v8::Local<v8::String>, uni::FunctionType (*)(v8::Local<v8::String>, const GetterCallbackInfo&), void (*)(v8::Local<v8::String>, v8::Local<v8::Value>, const SetterCallbackInfo&))’:
990../src/fibers.cc:355:87: warning: cast between incompatible function types from ‘uni::FunctionType (*)(v8::Local<v8::String>, const GetterCallbackInfo&)’ {aka ‘void (*)(v8::Local<v8::String>, const v8::PropertyCallbackInfo<v8::Value>&)’} to ‘v8::AccessorNameGetterCallback’ {aka ‘void (*)(v8::Local<v8::Name>, const v8::PropertyCallbackInfo<v8::Value>&)’} [-Wcast-function-type]
991 object->SetAccessor(isolate->GetCurrentContext(), name, (AccessorNameGetterCallback)getter, (AccessorNameSetterCallback)setter).ToChecked();
992 ^~~~~~
993../src/fibers.cc:355:123: warning: cast between incompatible function types from ‘void (*)(v8::Local<v8::String>, v8::Local<v8::Value>, const SetterCallbackInfo&)’ {aka ‘void (*)(v8::Local<v8::String>, v8::Local<v8::Value>, const v8::PropertyCallbackInfo<void>&)’} to ‘v8::AccessorNameSetterCallback’ {aka ‘void (*)(v8::Local<v8::Name>, v8::Local<v8::Value>, const v8::PropertyCallbackInfo<void>&)’} [-Wcast-function-type]
994 object->SetAccessor(isolate->GetCurrentContext(), name, (AccessorNameGetterCallback)getter, (AccessorNameSetterCallback)setter).ToChecked();
995 ^~~~~~
996In file included from ../src/coroutine.h:1,
997 from ../src/fibers.cc:1:
998../src/fibers.cc: At global scope:
999/cache/node-gyp/10.24.0/include/node/node.h:573:43: warning: cast between incompatible function types from ‘void (*)(v8::Local<v8::Object>)’ to ‘node::addon_register_func’ {aka ‘void (*)(v8::Local<v8::Object>, v8::Local<v8::Value>, void*)’} [-Wcast-function-type]
1000 (node::addon_register_func) (regfunc), \
1001 ^
1002/cache/node-gyp/10.24.0/include/node/node.h:607:3: note: in expansion of macro ‘NODE_MODULE_X’
1003 NODE_MODULE_X(modname, regfunc, NULL, 0) // NOLINT (readability/null_usage)
1004 ^~~~~~~~~~~~~
1005../src/fibers.cc:930:1: note: in expansion of macro ‘NODE_MODULE’
1006 NODE_MODULE(fibers, init)
1007 ^~~~~~~~~~~
1008 CXX(target) Release/obj.target/fibers/src/coroutine.o
1009 CC(target) Release/obj.target/fibers/src/libcoro/coro.o
1010 SOLINK_MODULE(target) Release/obj.target/fibers.node
1011 COPY Release/fibers.node
1012make: Leaving directory '/workspace/src/extensions/WikibaseMediaInfo/node_modules/fibers/build'
1013Installed in `/workspace/src/extensions/WikibaseMediaInfo/node_modules/fibers/bin/linux-x64-64-glibc/fibers.node`
1014
1015> wikibase-media-info@0.1.0 install /workspace/src/extensions/WikibaseMediaInfo
1016> rm -rf node_modules/mediawiki && git clone -q --depth=1 https://gerrit.wikimedia.org/r/mediawiki/core node_modules/mediawiki
1017
1018added 1146 packages in 31.229s
1019
1020> wikibase-media-info@0.1.0 selenium-test /workspace/src/extensions/WikibaseMediaInfo
1021> npm run selenium-test-betacommons -- --spec tests/selenium/specs_betacommons/*.js
1022
1023
1024> wikibase-media-info@0.1.0 selenium-test-betacommons /workspace/src/extensions/WikibaseMediaInfo
1025> wdio tests/selenium/wdio.conf.js "--spec" "tests/selenium/specs_betacommons/loggedInUserCanEdit.js" "tests/selenium/specs_betacommons/loggedInUserCanUpload.js" "tests/selenium/specs_betacommons/structuredDataOnFilepage.js"
1026
10272021-09-10T15:02:45.052Z WARN @wdio/config:ConfigParser: pattern ./tests/selenium/specs/**/*.js did not match any file
1028
1029Execution of 3 spec files started at 2021-09-10T15:02:45.066Z
1030
1031[0-0] RUNNING in chrome - /tests/selenium/specs_betacommons/loggedInUserCanEdit.js
1032INFO:backend.PhpWebserver:[Fri Sep 10 15:02:48 2021] 127.0.0.1:54398 [200]: //index.php?title=Special%3AUserLogin
1033INFO:backend.PhpWebserver:[Fri Sep 10 15:02:48 2021] 127.0.0.1:54406 [200]: /load.php?lang=en&modules=startup&only=scripts&raw=1&safemode=1&skin=vector
1034INFO:backend.PhpWebserver:[Fri Sep 10 15:02:48 2021] 127.0.0.1:54400 [200]: /load.php?lang=en&modules=ext.uls.pt%7Cext.visualEditor.desktopArticleTarget.noscript%7Cext.wikimediaBadges%7Cmediawiki.htmlform.styles%7Cmediawiki.special.userlogin.common.styles%7Cmediawiki.special.userlogin.login.styles%7Cmediawiki.ui%7Cmediawiki.ui.button%2Ccheckbox%2Cinput%2Cradio%7Cskins.vector.styles.legacy%7Cwikibase.client.data-bridge.externalModifiers&only=styles&skin=vector
1035INFO:backend.PhpWebserver:[Fri Sep 10 15:02:48 2021] 127.0.0.1:54408 [200]: /load.php?lang=en&modules=ext.visualEditor.core.utils.parsing%7Cext.visualEditor.desktopArticleTarget.init%7Cext.visualEditor.progressBarWidget%2CsupportCheck%2CtargetLoader%2CtempWikitextEditorWidget%2Ctrack%2Cve&skin=vector&version=1rrmd
1036INFO:backend.PhpWebserver:[Fri Sep 10 15:02:49 2021] 127.0.0.1:54410 [200]: /load.php?lang=en&modules=ext.eventLogging%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.wikimediaEvents.wikibase%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2Cspinner%2CtextSelection%2Cui%7Cjquery.event.special.eachchange%7Cjquery.spinner.styles%7Cjquery.ui.suggester%7Cjquery.uls.data%7Cjquery.wikibase.entityselector%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cstorage%2Cuser%2Cutil%2CvisibleTimeout%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Cskins.vector.legacy.js%7Cuser.defaults%7Cutil.inherit%7Cwikibase.client.data-bridge.init%7Cwikibase.ui.entitysearch&skin=vector&version=1h4hf
1037INFO:backend.PhpWebserver:[Fri Sep 10 15:02:49 2021] 127.0.0.1:54426 [404]: /favicon.ico - No such file or directory
1038INFO:backend.PhpWebserver:[Fri Sep 10 15:02:49 2021] 127.0.0.1:54428 [200]: /load.php?lang=en&modules=ext.uls.webfonts.fonts%2Crepository%7Cjquery.webfonts&skin=vector&version=goy5w
1039INFO:backend.PhpWebserver:[Fri Sep 10 15:02:49 2021] 127.0.0.1:54430 [200]: /load.php?lang=en&modules=ext.uls.i18n%2Cime%2Clanguagenames%2Cmediawiki%2Cmessages%7Cjquery.i18n%2Cime%2Culs%7Cjquery.uls.grid&skin=vector&version=14id6
1040INFO:backend.PhpWebserver:[Fri Sep 10 15:02:49 2021] 127.0.0.1:54432 [200]: /load.php?lang=en&modules=ext.uls.displaysettings%2Clanguagesettings&skin=vector&version=nmxer
1041INFO:backend.PhpWebserver:[Fri Sep 10 15:02:51 2021] 127.0.0.1:54438 [200]: //index.php?action=edit&title=TestPage%20026068938712434653
1042INFO:backend.PhpWebserver:[Fri Sep 10 15:02:52 2021] 127.0.0.1:54440 [200]: /load.php?lang=en&modules=ext.flaggedRevs.basic%7Cext.uls.pt%7Cext.visualEditor.desktopArticleTarget.noscript%7Cext.wikimediaBadges%7Cmediawiki.action.edit.styles%7Cmediawiki.editfont.styles%7Cmediawiki.interface.helpers.styles%7Cmediawiki.widgets.styles%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui.styles.indicators%7Cskins.vector.styles.legacy%7Cwikibase.client.data-bridge.externalModifiers&only=styles&skin=vector
1043INFO:backend.PhpWebserver:[Fri Sep 10 15:02:52 2021] 127.0.0.1:54442 [200]: /load.php?lang=en&modules=ext.wikiEditor.styles&only=styles&skin=vector
1044INFO:backend.PhpWebserver:[Fri Sep 10 15:02:52 2021] 127.0.0.1:54444 [200]: /load.php?lang=en&modules=startup&only=scripts&raw=1&skin=vector
1045INFO:backend.PhpWebserver:[Fri Sep 10 15:02:52 2021] 127.0.0.1:54456 [200]: /load.php?lang=en&modules=ext.wikiEditor&skin=vector&version=gh8x5
1046INFO:backend.PhpWebserver:[Fri Sep 10 15:02:52 2021] 127.0.0.1:54458 [200]: /load.php?lang=en&modules=ext.flaggedRevs.advanced%7Cext.uls.common%2Ccompactlinks%2Cinterface%7Cjquery%2Coojs-ui-core%2Coojs-ui-widgets%2Csite%7Cjquery.highlightText%2CmakeCollapsible%2Csuggestions%2Cthrottle-debounce%2Cui%7Cjquery.makeCollapsible.styles%7Cmediawiki.action.edit%7Cmediawiki.action.edit.collapsibleFooter%2CeditWarning%7Cmediawiki.confirmCloseWindow%2Cicon%2Ctemplate%7Cmediawiki.language.specialCharacters%7Cmediawiki.ui.button%7Cmediawiki.widgets.visibleLengthLimit%7Coojs-ui-widgets.icons%7Coojs-ui.styles.icons-content%2Cicons-editing-advanced%2Cicons-editing-citation%2Cicons-editing-core%2Cicons-editing-list%2Cicons-editing-styling%2Cicons-media%7Cwikibase.client.action.edit.collapsibleFooter&skin=vector&version=owcdj
1047INFO:backend.PhpWebserver:[Fri Sep 10 15:02:52 2021] 127.0.0.1:54460 [200]: /load.php?lang=en&modules=ext.visualEditor.switching&skin=vector&version=9w93q
1048INFO:backend.PhpWebserver:[Fri Sep 10 15:02:52 2021] 127.0.0.1:54462 [200]: /load.php?lang=en&modules=oojs-ui%2Coojs-ui-toolbars%7Coojs-ui-toolbars.icons%7Coojs-ui.styles.icons-accessibility&skin=vector&version=18qag
1049INFO:backend.PhpWebserver:[Fri Sep 10 15:02:52 2021] 127.0.0.1:54464 [200]: /load.php?lang=en&modules=ext.visualEditor.welcome&skin=vector&version=vqmas
1050INFO:backend.PhpWebserver:[Fri Sep 10 15:02:53 2021] 127.0.0.1:54470 [200]: /load.php?lang=en&modules=jquery.ime%2Culs&skin=vector&version=iz62q
1051INFO:backend.PhpWebserver:[Fri Sep 10 15:02:53 2021] 127.0.0.1:54472 [200]: /load.php?lang=en&modules=ext.uls.displaysettings%2Clanguagesettings%7Cmediawiki.ui.checkbox%2Cradio&skin=vector&version=10kzz
1052[0-0] AssertionError [ERR_ASSERTION] in "Edit page Logged-in user can edit"
1053AssertionError [ERR_ASSERTION]: Input A expected to strictly equal input B:
1054+ expected - actual
1055
1056- 'Creating TestPage 026068938712434653'
1057+ 'TestPage 026068938712434653'
1058 at Context.<anonymous> (/workspace/src/extensions/WikibaseMediaInfo/tests/selenium/specs_betacommons/loggedInUserCanEdit.js:22:10)
1059[0-0] FAILED in chrome - /tests/selenium/specs_betacommons/loggedInUserCanEdit.js
1060[0-1] RUNNING in chrome - /tests/selenium/specs_betacommons/loggedInUserCanUpload.js
1061INFO:backend.PhpWebserver:[Fri Sep 10 15:02:59 2021] 127.0.0.1:54492 [200]: //index.php?title=Special%3AUserLogin
1062INFO:backend.PhpWebserver:[Fri Sep 10 15:02:59 2021] 127.0.0.1:54494 [200]: /load.php?lang=en&modules=ext.uls.pt%7Cext.visualEditor.desktopArticleTarget.noscript%7Cext.wikimediaBadges%7Cmediawiki.htmlform.styles%7Cmediawiki.special.userlogin.common.styles%7Cmediawiki.special.userlogin.login.styles%7Cmediawiki.ui%7Cmediawiki.ui.button%2Ccheckbox%2Cinput%2Cradio%7Cskins.vector.styles.legacy%7Cwikibase.client.data-bridge.externalModifiers&only=styles&skin=vector
1063INFO:backend.PhpWebserver:[Fri Sep 10 15:02:59 2021] 127.0.0.1:54496 [200]: /load.php?lang=en&modules=startup&only=scripts&raw=1&safemode=1&skin=vector
1064INFO:backend.PhpWebserver:[Fri Sep 10 15:02:59 2021] 127.0.0.1:54512 [200]: /load.php?lang=en&modules=ext.visualEditor.core.utils.parsing%7Cext.visualEditor.desktopArticleTarget.init%7Cext.visualEditor.progressBarWidget%2CsupportCheck%2CtargetLoader%2CtempWikitextEditorWidget%2Ctrack%2Cve&skin=vector&version=1rrmd
1065INFO:backend.PhpWebserver:[Fri Sep 10 15:02:59 2021] 127.0.0.1:54514 [200]: /load.php?lang=en&modules=ext.eventLogging%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.wikimediaEvents.wikibase%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%7Cjquery.client%2Ccookie%2ClengthLimit%2Cspinner%2CtextSelection%2Cui%7Cjquery.event.special.eachchange%7Cjquery.spinner.styles%7Cjquery.ui.suggester%7Cjquery.uls.data%7Cjquery.wikibase.entityselector%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2Chtmlform%2CjqueryMsg%2Clanguage%2Cstorage%2Cuser%2Cutil%2CvisibleTimeout%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Cskins.vector.legacy.js%7Cuser.defaults%7Cutil.inherit%7Cwikibase.client.data-bridge.init%7Cwikibase.ui.entitysearch&skin=vector&version=ctqss
1066INFO:backend.PhpWebserver:[Fri Sep 10 15:02:59 2021] 127.0.0.1:54516 [404]: /favicon.ico - No such file or directory
1067INFO:backend.PhpWebserver:[Fri Sep 10 15:02:59 2021] 127.0.0.1:54518 [200]: /load.php?lang=en&modules=ext.uls.webfonts.fonts%2Crepository%7Cjquery.webfonts&skin=vector&version=goy5w
1068INFO:backend.PhpWebserver:[Fri Sep 10 15:03:00 2021] 127.0.0.1:54520 [200]: /load.php?lang=en&modules=ext.uls.i18n%2Cime%2Clanguagenames%2Cmediawiki%2Cmessages%7Cjquery.i18n%2Cime%2Culs%7Cjquery.uls.grid&skin=vector&version=14sf9
1069INFO:backend.PhpWebserver:[Fri Sep 10 15:03:00 2021] 127.0.0.1:54522 [200]: /load.php?lang=en&modules=ext.uls.displaysettings%2Clanguagesettings&skin=vector&version=mkjn2
1070INFO:backend.PhpWebserver:[Fri Sep 10 15:03:02 2021] 127.0.0.1:54524 [200]: //index.php?title=Special%3AUpload
1071INFO:backend.PhpWebserver:[Fri Sep 10 15:03:02 2021] 127.0.0.1:54526 [200]: /load.php?lang=en&modules=ext.tmh.player.styles%7Cext.uls.pt%7Cext.visualEditor.desktopArticleTarget.noscript%7Cext.wikimediaBadges%7Cmediawiki.helplink%7Cskins.vector.styles.legacy%7Cwikibase.client.data-bridge.externalModifiers&only=styles&skin=vector
1072INFO:backend.PhpWebserver:[Fri Sep 10 15:03:02 2021] 127.0.0.1:54528 [200]: /load.php?lang=en&modules=startup&only=scripts&raw=1&skin=vector
1073INFO:backend.PhpWebserver:[Fri Sep 10 15:03:02 2021] 127.0.0.1:54542 [200]: /load.php?lang=en&modules=ext.tmh.OgvJsSupport%2Cplayer%7Cjquery%2Coojs-ui-core%2Csite%7Cjquery.ui%7Cmediawiki.ui.button&skin=vector&version=1r48e
1074[0-1] TypeError in "Upload tasks - logged in user Logged-in user can upload a file"
1075TypeError: browser.chooseFile is not a function
1076 at UploadPage.upload (/workspace/src/extensions/WikibaseMediaInfo/tests/selenium/pageobjects/upload.page.js:32:11)
1077 at /workspace/src/extensions/WikibaseMediaInfo/tests/selenium/specs_betacommons/loggedInUserCanUpload.js:36:15
1078 at Object.exports.generateImage (/workspace/src/extensions/WikibaseMediaInfo/tests/selenium/support/js-image-generator.js:29:3)
1079 at Context.<anonymous> (/workspace/src/extensions/WikibaseMediaInfo/tests/selenium/specs_betacommons/loggedInUserCanUpload.js:28:18)
1080[0-1] FAILED in chrome - /tests/selenium/specs_betacommons/loggedInUserCanUpload.js
1081[0-2] RUNNING in chrome - /tests/selenium/specs_betacommons/structuredDataOnFilepage.js
1082INFO:backend.PhpWebserver:[Fri Sep 10 15:03:07 2021] 127.0.0.1:54554 [200]: //index.php?title=Special%3ARandom%2FFile
1083INFO:backend.PhpWebserver:[Fri Sep 10 15:03:07 2021] 127.0.0.1:54556 [200]: /load.php?lang=en&modules=ext.uls.pt%7Cext.visualEditor.desktopArticleTarget.noscript%7Cext.wikimediaBadges%7Cskins.vector.styles.legacy%7Cwikibase.client.data-bridge.externalModifiers&only=styles&skin=vector
1084INFO:backend.PhpWebserver:[Fri Sep 10 15:03:07 2021] 127.0.0.1:54558 [200]: /load.php?lang=en&modules=startup&only=scripts&raw=1&skin=vector
1085INFO:backend.PhpWebserver:[Fri Sep 10 15:03:07 2021] 127.0.0.1:54572 [200]: /load.php?lang=en&modules=ext.visualEditor.core.utils.parsing%7Cext.visualEditor.desktopArticleTarget.init%7Cext.visualEditor.progressBarWidget%2CsupportCheck%2CtargetLoader%2CtempWikitextEditorWidget%2Ctrack%2Cve&skin=vector&version=1rrmd
1086INFO:backend.PhpWebserver:[Fri Sep 10 15:03:07 2021] 127.0.0.1:54574 [200]: /load.php?lang=en&modules=ext.eventLogging%2CwikimediaEvents%7Cext.uls.common%2Ccompactlinks%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.wikimediaEvents.wikibase%7Cjquery%2Coojs%2Coojs-ui-core%2Coojs-ui-windows%2Csite%7Cjquery.client%2Ccookie%2Cspinner%2CtextSelection%2Cui%7Cjquery.event.special.eachchange%7Cjquery.spinner.styles%7Cjquery.ui.suggester%7Cjquery.uls.data%7Cjquery.wikibase.entityselector%7Cmediawiki.String%2CTitle%2CUri%2Capi%2Cbase%2Ccldr%2Ccookie%2Cexperiments%2CjqueryMsg%2Clanguage%2Cstorage%2Cuser%2Cutil%2CvisibleTimeout%7Cmediawiki.editfont.styles%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%7Cmediawiki.ui.button%7Cmw.config.values.wbDataBridgeConfig%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Cskins.vector.legacy.js%7Cuser.defaults%7Cutil.inherit%7Cwikibase.client.data-bridge.init%7Cwikibase.ui.entitysearch&skin=vector&version=1k3w6
1087INFO:backend.PhpWebserver:[Fri Sep 10 15:03:08 2021] 127.0.0.1:54576 [404]: /favicon.ico - No such file or directory
1088INFO:backend.PhpWebserver:[Fri Sep 10 15:03:08 2021] 127.0.0.1:54578 [200]: /load.php?lang=en&modules=ext.uls.webfonts.fonts%2Crepository%7Cjquery.webfonts&skin=vector&version=goy5w
1089[0-2] Error in "File page captions panel is visible by default"
1090Error: element (".wbmi-entityview-captionsPanel") still not displayed after 5000ms
1091 at Context.<anonymous> (/workspace/src/extensions/WikibaseMediaInfo/tests/selenium/specs_betacommons/structuredDataOnFilepage.js:10:34)
1092INFO:backend.PhpWebserver:[Fri Sep 10 15:03:13 2021] 127.0.0.1:54584 [200]: //index.php?title=Special%3ARandom%2FFile
1093INFO:backend.PhpWebserver:[Fri Sep 10 15:03:13 2021] 127.0.0.1:54596 [200]: /load.php?lang=en&modules=jquery%2Coojs-ui-core%7Cjquery.ui&skin=vector&version=v0ff5
1094[0-2]
1095 Video location: /workspace/log/File-page-captions-panel-is-visible-by-default-2021-09-10T15-03-07-355Z.mp4
1096
1097[0-2] ffmpeg exited with code 255 /workspace/log/File-page-captions-panel-is-visible-by-default-2021-09-10T15-03-07-355Z.mp4
1098[0-2] Error in "File page statements panel is visible when tab is clicked"
1099Error: element (".wbmi-entityview-captionsPanel") still not displayed after 5000ms
1100 at Context.<anonymous> (/workspace/src/extensions/WikibaseMediaInfo/tests/selenium/specs_betacommons/structuredDataOnFilepage.js:15:26)
1101INFO:backend.PhpWebserver:[Fri Sep 10 15:03:18 2021] 127.0.0.1:54644 [200]: //index.php?title=Special%3AUserLogin
1102INFO:backend.PhpWebserver:[Fri Sep 10 15:03:18 2021] 127.0.0.1:54646 [200]: /load.php?lang=en&modules=ext.uls.pt%7Cext.visualEditor.desktopArticleTarget.noscript%7Cext.wikimediaBadges%7Cmediawiki.htmlform.styles%7Cmediawiki.special.userlogin.common.styles%7Cmediawiki.special.userlogin.login.styles%7Cmediawiki.ui%7Cmediawiki.ui.button%2Ccheckbox%2Cinput%2Cradio%7Cskins.vector.styles.legacy%7Cwikibase.client.data-bridge.externalModifiers&only=styles&skin=vector
1103[0-2]
1104 Video location: /workspace/log/File-page-statements-panel-is-visible-when-tab-is-clicked-2021-09-10T15-03-13-269Z.mp4
1105
1106 ffmpeg exited with code 255 /workspace/log/File-page-statements-panel-is-visible-when-tab-is-clicked-2021-09-10T15-03-13-269Z.mp4
1107INFO:backend.PhpWebserver:[Fri Sep 10 15:03:19 2021] 127.0.0.1:54648 [200]: /load.php?lang=en&modules=startup&only=scripts&raw=1&safemode=1&skin=vector
1108INFO:backend.PhpWebserver:[Fri Sep 10 15:03:19 2021] 127.0.0.1:54662 [200]: /load.php?lang=en&modules=jquery%2Coojs-ui-core%7Cjquery.lengthLimit%2Cui%7Cmediawiki.htmlform&skin=vector&version=1q7ig
1109INFO:backend.PhpWebserver:[Fri Sep 10 15:03:19 2021] 127.0.0.1:54674 [200]: /load.php?lang=en&modules=ext.uls.i18n%2Cime%2Clanguagenames%2Cmediawiki%2Cmessages%7Cjquery.i18n%2Cime%2Culs%7Cjquery.uls.grid&skin=vector&version=14sf9
1110INFO:backend.PhpWebserver:[Fri Sep 10 15:03:19 2021] 127.0.0.1:54678 [200]: /load.php?lang=en&modules=ext.uls.displaysettings%2Clanguagesettings&skin=vector&version=mkjn2
1111INFO:backend.PhpWebserver:[Fri Sep 10 15:03:23 2021] 127.0.0.1:54736 [200]: //index.php?title=Special%3ARandom%2FFile
1112INFO:backend.PhpWebserver:[Fri Sep 10 15:03:23 2021] 127.0.0.1:54750 [200]: /load.php?lang=en&modules=jquery%2Coojs-ui-core%2Csite%7Cjquery.ui&skin=vector&version=1n5ah
1113[0-2] Error in "File page logged-in user can edit captions"
1114Error: element (".wbmi-entityview-captionsPanel") still not displayed after 5000ms
1115 at Context.<anonymous> (/workspace/src/extensions/WikibaseMediaInfo/tests/selenium/specs_betacommons/structuredDataOnFilepage.js:29:26)
1116[0-2] FAILED in chrome - /tests/selenium/specs_betacommons/structuredDataOnFilepage.js
1117
1118 "dot" Reporter:
1119FFFFF
1120
1121Spec Files: 0 passed, 3 failed, 3 total (100% completed) in 00:00:44
1122
1123npm ERR! code ELIFECYCLE
1124npm ERR! errno 1
1125npm ERR! wikibase-media-info@0.1.0 selenium-test-betacommons: `wdio tests/selenium/wdio.conf.js "--spec" "tests/selenium/specs_betacommons/loggedInUserCanEdit.js" "tests/selenium/specs_betacommons/loggedInUserCanUpload.js" "tests/selenium/specs_betacommons/structuredDataOnFilepage.js"`
1126npm ERR! Exit status 1
1127npm ERR!
1128npm ERR! Failed at the wikibase-media-info@0.1.0 selenium-test-betacommons script.
1129npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
1130
1131npm ERR! A complete log of this run can be found in:
1132npm ERR! /cache/npm/_logs/2021-09-10T15_03_29_923Z-debug.log
1133npm ERR! code ELIFECYCLE
1134npm ERR! errno 1
1135npm ERR! wikibase-media-info@0.1.0 selenium-test: `npm run selenium-test-betacommons -- --spec tests/selenium/specs_betacommons/*.js`
1136npm ERR! Exit status 1
1137npm ERR!
1138npm ERR! Failed at the wikibase-media-info@0.1.0 selenium-test script.
1139npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
1140
1141npm ERR! A complete log of this run can be found in:
1142npm ERR! /cache/npm/_logs/2021-09-10T15_03_29_943Z-debug.log
1143INFO:quibble.commands:<<< Finish: Browser tests for projects mediawiki/extensions/WikibaseMediaInfo, mediawiki/core, mediawiki/extensions/AbuseFilter, mediawiki/extensions/AntiSpoof, mediawiki/extensions/ArticlePlaceholder, mediawiki/extensions/BetaFeatures, mediawiki/extensions/CentralAuth, mediawiki/extensions/CheckUser, mediawiki/extensions/CirrusSearch, mediawiki/extensions/Cite, mediawiki/extensions/CodeEditor, mediawiki/extensions/ConfirmEdit, mediawiki/extensions/Echo, mediawiki/extensions/Elastica, mediawiki/extensions/EventBus, mediawiki/extensions/EventLogging, mediawiki/extensions/EventStreamConfig, mediawiki/extensions/FlaggedRevs, mediawiki/extensions/GeoData, mediawiki/extensions/GuidedTour, mediawiki/extensions/MobileApp, mediawiki/extensions/MobileFrontend, mediawiki/extensions/ParserFunctions, mediawiki/extensions/PdfHandler, mediawiki/extensions/PropertySuggester, mediawiki/extensions/Renameuser, mediawiki/extensions/Scribunto, mediawiki/extensions/SiteMatrix, mediawiki/extensions/SyntaxHighlight_GeSHi, mediawiki/extensions/TemplateData, mediawiki/extensions/TimedMediaHandler, mediawiki/extensions/UniversalLanguageSelector, mediawiki/extensions/VisualEditor, mediawiki/extensions/WikiEditor, mediawiki/extensions/Wikibase, mediawiki/extensions/WikibaseCirrusSearch, mediawiki/extensions/WikibaseLexeme, mediawiki/extensions/WikibaseQualityConstraints, mediawiki/extensions/WikimediaBadges, mediawiki/extensions/WikimediaEvents, mediawiki/extensions/cldr, mediawiki/skins/MinervaNeue, mediawiki/skins/Vector, mediawiki/vendor, in 79.997 s
1144INFO:backend.ChromeWebDriver:Terminating ChromeWebDriver
1145INFO:backend.Xvfb:Terminating Xvfb
1146INFO:backend.PhpWebserver:Terminating PhpWebserver
1147INFO:backend.MySQL:Terminating MySQL
1148Traceback (most recent call last):
1149 File "/usr/local/bin/quibble", line 10, in <module>
1150 sys.exit(main())
1151 File "/usr/local/lib/python3.7/dist-packages/quibble/cmd.py", line 653, in main
1152 cmd.execute(plan, dry_run=args.dry_run)
1153 File "/usr/local/lib/python3.7/dist-packages/quibble/cmd.py", line 410, in execute
1154 quibble.commands.execute_command(command)
1155 File "/usr/local/lib/python3.7/dist-packages/quibble/commands.py", line 22, in execute_command
1156 command.execute()
1157 File "/usr/local/lib/python3.7/dist-packages/quibble/commands.py", line 824, in execute
1158 self._run_webdriver(project_dir)
1159 File "/usr/local/lib/python3.7/dist-packages/quibble/commands.py", line 843, in _run_webdriver
1160 ['npm', 'run', 'selenium-test'], cwd=project_dir, env=webdriver_env
1161 File "/usr/lib/python3.7/subprocess.py", line 347, in check_call
1162 raise CalledProcessError(retcode, cmd)
1163subprocess.CalledProcessError: Command '['npm', 'run', 'selenium-test']' returned non-zero exit status 1.
1164Build step 'Execute shell' marked build as failure
1165Recording test results
1166[Checks API] No suitable checks publisher found.
1167[PostBuildScript] - [INFO] Executing post build scripts.
1168[quibble-vendor-mysql-php72-selenium-docker] $ /bin/bash -xe /tmp/jenkins17532988786580252529.sh
1169+ find log/ -name 'junit*.xml' -exec gzip '{}' +
1170[quibble-vendor-mysql-php72-selenium-docker] $ /bin/bash /tmp/jenkins16414500803705925885.sh
1171+ set -o pipefail
1172++ pwd
1173+ exec docker run --volume /srv/jenkins/workspace/workspace/quibble-vendor-mysql-php72-selenium-docker/log:/log --entrypoint=/bin/rm --security-opt seccomp=unconfined --init --rm --label jenkins.job=quibble-vendor-mysql-php72-selenium-docker --label jenkins.build=74276 --env-file /dev/fd/63 docker-registry.wikimedia.org/buster:latest -fR /log/rawSeleniumVideoGrabs
1174++ /usr/bin/env
1175++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
1176[PostBuildScript] - [INFO] Executing post build scripts.
1177[quibble-vendor-mysql-php72-selenium-docker] $ /bin/bash -xe /tmp/jenkins11231552662297394911.sh
1178+ find log/ -name 'mw-debug-*.log' -exec gzip '{}' +
1179Archiving artifacts
1180[PostBuildScript] - [INFO] Executing post build scripts.
1181[PostBuildScript] - [INFO] Build does not have any of the results [SUCCESS]. Did not execute build step #0.
1182[PostBuildScript] - [INFO] Executing post build scripts.
1183[quibble-vendor-mysql-php72-selenium-docker] $ /bin/bash -xe /tmp/jenkins15720894576613937256.sh
1184+ echo 'Clearing /srv/jenkins/workspace/workspace/quibble-vendor-mysql-php72-selenium-docker/cache'
1185Clearing /srv/jenkins/workspace/workspace/quibble-vendor-mysql-php72-selenium-docker/cache
1186[quibble-vendor-mysql-php72-selenium-docker] $ /bin/bash /tmp/jenkins247483708322774779.sh
1187+ set -o pipefail
1188++ pwd
1189+ exec docker run --volume /srv/jenkins/workspace/workspace/quibble-vendor-mysql-php72-selenium-docker/cache:/cache --security-opt seccomp=unconfined --init --rm --label jenkins.job=quibble-vendor-mysql-php72-selenium-docker --label jenkins.build=74276 --env-file /dev/fd/63 docker-registry.wikimedia.org/releng/castor:0.2.1 clear
1190++ /usr/bin/env
1191++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
1192[PostBuildScript] - [INFO] Executing post build scripts.
1193[quibble-vendor-mysql-php72-selenium-docker] $ /bin/bash -xe /tmp/jenkins11146416229931518755.sh
1194+ set -euxo pipefail
1195+ docker ps -q --filter label=jenkins.job=quibble-vendor-mysql-php72-selenium-docker --filter label=jenkins.build=74276
1196+ xargs --no-run-if-empty docker stop
1197[PostBuildScript] - [INFO] Executing post build scripts.
1198[quibble-vendor-mysql-php72-selenium-docker] $ /bin/bash /tmp/jenkins536897832016381532.sh
1199+ set -o pipefail
1200+ exec docker run --user=root --volume /srv/jenkins/workspace/workspace/quibble-vendor-mysql-php72-selenium-docker:/workspace --entrypoint=/usr/bin/find --security-opt seccomp=unconfined --init --rm --label jenkins.job=quibble-vendor-mysql-php72-selenium-docker --label jenkins.build=74276 --env-file /dev/fd/63 docker-registry.wikimedia.org/buster:latest /workspace -mindepth 1 -delete
1201++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
1202++ /usr/bin/env
1203[quibble-vendor-mysql-php72-selenium-docker] $ /bin/bash -xe /tmp/jenkins13417756359962948038.sh
1204+ set -u
1205+ rmdir /srv/jenkins/workspace/workspace/quibble-vendor-mysql-php72-selenium-docker
1206Finished: FAILURE


selenium-daily

The repository does have selenium-daily npm script, but it doesn't have selenium-daily Jenkins job.

A quick search in integration/config says that the daily job existed only shortly, by mistake. (Commit 540872.)

~/Documents/gerrit/integration/config$ git log --all --grep='WikibaseMediaInfo' -- jjb/mediawiki-extensions.yaml 
commit ee4355a640ab8520b422ef7ceb58f305dddcce37
Author: Željko Filipin <zeljko.filipin@gmail.com>
Date:   Fri Oct 4 15:36:46 2019 +0200

    WIP All repositories with Selenium tests should use wdio-mediawiki
    
    Created jobs:
    selenium-daily-beta-ContentTranslation
    selenium-daily-beta-TemplateWizard
    selenium-daily-beta-WikibaseMediaInfo
    
    Bug: T199113
    Change-Id: Ic352471c233019825280b5d0878e1fd8fe4a36bf

I've created the selenium-daily-beta-WikibaseMediaInfo Jenkins job (see 720339). I have ran it targeting https://commons.wikimedia.beta.wmflabs.org but it fails because the repository isn't even configured to run Selenium tests.

ERROR @wdio/cli:launcher: No specs found to run, exiting with failure

Full job output.

1Started by user Zeljko Filipin
2Running as SYSTEM
3Building remotely on integration-agent-docker-1007 (pipelinelib Docker blubber) in workspace /srv/jenkins/workspace/workspace/selenium-daily-beta-WikibaseMediaInfo
4No emails were triggered.
5[selenium-daily-beta-WikibaseMediaInfo] $ /bin/bash -xe /tmp/jenkins4127604711444093462.sh
6+ mkdir -m 2777 -p cache
7[selenium-daily-beta-WikibaseMediaInfo] $ /bin/bash /tmp/jenkins6508705333416579959.sh
8+ set -o pipefail
9++ pwd
10+ exec docker run --volume /srv/jenkins/workspace/workspace/selenium-daily-beta-WikibaseMediaInfo/cache:/cache --security-opt seccomp=unconfined --init --rm --label jenkins.job=selenium-daily-beta-WikibaseMediaInfo --label jenkins.build=1 --env-file /dev/fd/63 docker-registry.wikimedia.org/releng/castor:0.2.4 load
11++ /usr/bin/env
12++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
13Defined: CASTOR_NAMESPACE="castor-mw-ext-and-skins/master/selenium-daily-beta-WikibaseMediaInfo"
14Syncing...
15rsync: change_dir "/castor-mw-ext-and-skins/master/selenium-daily-beta-WikibaseMediaInfo" (in caches) failed: No such file or directory (2)
16rsync error: some files/attrs were not transferred (see previous errors) (code 23) at main.c(1668) [Receiver=3.1.2]
17rsync: read error: Connection reset by peer (104)
18
19Done
20[selenium-daily-beta-WikibaseMediaInfo] $ /bin/bash -xe /tmp/jenkins12918958288185045962.sh
21+ set -eux
22+ mkdir -m 2777 -p src
23[selenium-daily-beta-WikibaseMediaInfo] $ /bin/bash /tmp/jenkins13359011670135692916.sh
24+ set -o pipefail
25+ exec docker run --user=nobody --volume /srv/jenkins/workspace/workspace/selenium-daily-beta-WikibaseMediaInfo:/workspace --entrypoint=/usr/bin/find --security-opt seccomp=unconfined --init --rm --label jenkins.job=selenium-daily-beta-WikibaseMediaInfo --label jenkins.build=1 --env-file /dev/fd/63 docker-registry.wikimedia.org/buster:latest /workspace/src -mindepth 1 -delete
26++ /usr/bin/env
27++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
28[selenium-daily-beta-WikibaseMediaInfo] $ /bin/bash -xe /tmp/jenkins3901122104199415898.sh
29+ set -eux
30+ mkdir -m 2777 -p log
31[selenium-daily-beta-WikibaseMediaInfo] $ /bin/bash /tmp/jenkins1867401972255728351.sh
32+ set -o pipefail
33+ exec docker run --user=nobody --volume /srv/jenkins/workspace/workspace/selenium-daily-beta-WikibaseMediaInfo:/workspace --entrypoint=/usr/bin/find --security-opt seccomp=unconfined --init --rm --label jenkins.job=selenium-daily-beta-WikibaseMediaInfo --label jenkins.build=1 --env-file /dev/fd/63 docker-registry.wikimedia.org/buster:latest /workspace/log -mindepth 1 -delete
34++ /usr/bin/env
35++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
36[selenium-daily-beta-WikibaseMediaInfo] $ /bin/bash /tmp/jenkins10638733348840014723.sh
37+ set -o pipefail
38++ pwd
39++ pwd
40+ exec docker run --volume /srv/jenkins/workspace/workspace/selenium-daily-beta-WikibaseMediaInfo/src:/src --volume /srv/jenkins/workspace/workspace/selenium-daily-beta-WikibaseMediaInfo/cache:/cache --volume /srv/git:/srv/git:ro --security-opt seccomp=unconfined --init --rm --label jenkins.job=selenium-daily-beta-WikibaseMediaInfo --label jenkins.build=1 --env-file /dev/fd/63 docker-registry.wikimedia.org/releng/ci-src-setup-simple:0.4.2-s1
41++ /usr/bin/env
42++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
43+ git init
44Initialized empty Git repository in /src/.git/
45+ git fetch --quiet --update-head-ok --depth 2 https://gerrit.wikimedia.org/r/p//mediawiki/extensions/WikibaseMediaInfo +master:master
46+ '[' -z master ']'
47+ git checkout -B master FETCH_HEAD
48Reset branch 'master'
49+ set +x
50+ git submodule --quiet update --init --recursive
51[selenium-daily-beta-WikibaseMediaInfo] $ /bin/bash -eu /tmp/jenkins11593138534333829463.sh
52+ chmod 2777 src
53[selenium-daily-beta-WikibaseMediaInfo] $ /bin/bash /tmp/jenkins9375728626069389880.sh
54+ set -o pipefail
55++ pwd
56++ pwd
57++ pwd
58+ exec docker run --env LOG_DIR=/log --entrypoint=/run-with-xvfb.sh --volume /srv/jenkins/workspace/workspace/selenium-daily-beta-WikibaseMediaInfo/src:/src --volume /srv/jenkins/workspace/workspace/selenium-daily-beta-WikibaseMediaInfo/cache:/cache --volume /srv/jenkins/workspace/workspace/selenium-daily-beta-WikibaseMediaInfo/log:/log --security-opt seccomp=unconfined --init --rm --label jenkins.job=selenium-daily-beta-WikibaseMediaInfo --label jenkins.build=1 --env-file /dev/fd/63 docker-registry.wikimedia.org/releng/node12-test-browser:0.0.2 selenium-daily
59++ /usr/bin/env
60++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
61+ export DISPLAY=:94
62+ DISPLAY=:94
63+ xvfb_pid=7
64+ /usr/bin/Xvfb :94 -screen 0 1280x1024x24 -ac -nolisten tcp
65+ chromedriver_pid=8
66+ trap 'kill -SIGINT $run_pid $chromedriver_pid; wait $run_pid $chromedriver_pid' SIGINT
67+ trap 'kill -SIGTERM $run_pid $chromedriver_pid; wait $run_pid $chromedriver_pid' SIGTERM
68+ trap terminate_bg_process EXIT
69+ /usr/bin/chromedriver --url-base=/wd/hub --port=4444
70+ run_pid=9
71+ wait 9
72+ /run.sh selenium-daily
73+ cd /src
74+ '[' '!' -f package.json ']'
75+ node --version
76_XSERVTransmkdir: ERROR: euid != 0,directory /tmp/.X11-unix will not be created.
77Starting ChromeDriver 90.0.4430.212 (e3cd97fc771b893b7fd1879196d1215b622c2bed-refs/branch-heads/4430@{#1429}) on port 4444
78Only local connections are allowed.
79Please see https://chromedriver.chromium.org/security-considerations for suggestions on keeping ChromeDriver safe.
80[1631289480.499][SEVERE]: bind() failed: Cannot assign requested address (99)
81ChromeDriver was started successfully.
82v12.21.0
83+ npm --version
847.5.2
85+ '[' -e npm-shrinkwrap.json ']'
86+ '[' -e package-lock.json ']'
87+ npm ci
88
89> wikibase-media-info@0.1.0 install
90> rm -rf node_modules/mediawiki && git clone -q --depth=1 https://gerrit.wikimedia.org/r/mediawiki/core node_modules/mediawiki
91
92
93added 1146 packages, and audited 1147 packages in 43s
94
952 moderate severity vulnerabilities
96
97To address all issues (including breaking changes), run:
98 npm audit fix --force
99
100Run `npm audit` for details.
101+ npm run-script selenium-daily
102
103> wikibase-media-info@0.1.0 selenium-daily
104> npm run selenium-test-betacommons
105
106
107> wikibase-media-info@0.1.0 selenium-test-betacommons
108> wdio tests/selenium/wdio.conf.js
109
1102021-09-10T15:58:45.703Z ERROR @wdio/cli:launcher: No specs found to run, exiting with failure
111
112Execution of 0 spec files started at 2021-09-10T15:58:45.698Z
113
114
115Spec Files: 0 passed, 0 total (0% completed) in 00:00:00
116
117npm ERR! code 1
118npm ERR! path /src
119npm ERR! command failed
120npm ERR! command sh -c wdio tests/selenium/wdio.conf.js
121
122npm ERR! A complete log of this run can be found in:
123npm ERR! /cache/_logs/2021-09-10T15_58_45_977Z-debug.log
124npm ERR! code 1
125npm ERR! path /src
126npm ERR! command failed
127npm ERR! command sh -c npm run selenium-test-betacommons
128
129npm ERR! A complete log of this run can be found in:
130npm ERR! /cache/_logs/2021-09-10T15_58_46_097Z-debug.log
131Terminating Xvfb
132+ terminate_bg_process
133+ set +x
134Done
135Terminating Chromedriver
136Done
137Build step 'Execute shell' marked build as failure
138Archiving artifacts
139[PostBuildScript] - [INFO] Executing post build scripts.
140[PostBuildScript] - [INFO] Build does not have any of the results [SUCCESS]. Did not execute build step #0.
141[PostBuildScript] - [INFO] Executing post build scripts.
142[selenium-daily-beta-WikibaseMediaInfo] $ /bin/bash -xe /tmp/jenkins14982425466588546740.sh
143+ echo 'Clearing /srv/jenkins/workspace/workspace/selenium-daily-beta-WikibaseMediaInfo/cache'
144Clearing /srv/jenkins/workspace/workspace/selenium-daily-beta-WikibaseMediaInfo/cache
145[selenium-daily-beta-WikibaseMediaInfo] $ /bin/bash /tmp/jenkins4476129796634203995.sh
146+ set -o pipefail
147++ pwd
148+ exec docker run --volume /srv/jenkins/workspace/workspace/selenium-daily-beta-WikibaseMediaInfo/cache:/cache --security-opt seccomp=unconfined --init --rm --label jenkins.job=selenium-daily-beta-WikibaseMediaInfo --label jenkins.build=1 --env-file /dev/fd/63 docker-registry.wikimedia.org/releng/castor:0.2.1 clear
149++ /usr/bin/env
150++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
151Recording test results
152[Checks API] No suitable checks publisher found.
153[PostBuildScript] - [INFO] Executing post build scripts.
154[selenium-daily-beta-WikibaseMediaInfo] $ /bin/bash -xe /tmp/jenkins13538372158402633623.sh
155+ set -euxo pipefail
156+ docker ps -q --filter label=jenkins.job=selenium-daily-beta-WikibaseMediaInfo --filter label=jenkins.build=1
157+ xargs --no-run-if-empty docker stop
158[PostBuildScript] - [INFO] Executing post build scripts.
159[selenium-daily-beta-WikibaseMediaInfo] $ /bin/bash /tmp/jenkins7433623724307127603.sh
160+ set -o pipefail
161+ exec docker run --user=root --volume /srv/jenkins/workspace/workspace/selenium-daily-beta-WikibaseMediaInfo:/workspace --entrypoint=/usr/bin/find --security-opt seccomp=unconfined --init --rm --label jenkins.job=selenium-daily-beta-WikibaseMediaInfo --label jenkins.build=1 --env-file /dev/fd/63 docker-registry.wikimedia.org/buster:latest /workspace -mindepth 1 -delete
162++ /usr/bin/env
163++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
164[selenium-daily-beta-WikibaseMediaInfo] $ /bin/bash -xe /tmp/jenkins9941798226217883492.sh
165+ set -u
166+ rmdir /srv/jenkins/workspace/workspace/selenium-daily-beta-WikibaseMediaInfo
167Email was triggered for: Failure - Any
168Sending email for trigger: Failure - Any
169Sending email to: zfilipin@wikimedia.org
170Finished: FAILURE

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 717505 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/extensions/WikibaseMediaInfo@master] WIP selenium: run tests in CI

https://gerrit.wikimedia.org/r/717505

Change 720339 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[integration/config@master] WIP selenium-daily-beta-WikibaseMediaInfo

https://gerrit.wikimedia.org/r/720339

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin added a subscriber: Cparle.

@Cparle do you think tests should be fixed or deleted?

Change 720339 abandoned by Zfilipin:

[integration/config@master] WIP selenium-daily-beta-WikibaseMediaInfo

Reason:

just a test

https://gerrit.wikimedia.org/r/720339

Change 717505 abandoned by Zfilipin:

[mediawiki/extensions/WikibaseMediaInfo@master] WIP selenium: run tests in CI

Reason:

just a test

https://gerrit.wikimedia.org/r/717505

I can provide a little history here.

A long time ago (Spring 2019) we were trying to get some E2E tests working for the MediaInfo extension. I was very new to WMF and didn't know much about what was/wasn't possible in our CI pipeline.

My original hope was that we would be able to spin up a wiki instance (similar to our dev environments) in CI with the MediaInfo extension enabled, generate a random image to upload (and upload it), and then navigate to that random image's file page and add some structured data using our UI.

For various reasons (see T219815 for the full account) this wasn't possible. So we tried to re-work the E2E tests to target BetaCommons. But BetaCommons is persistent between tests, had lots of other features and scripts enabled, etc. so it turned out to be a poor environment for what we were trying to capture.

Eventually I think we just gave up on this entire approach, but left the test code in case we ever had a use for it in the future.

If keeping this is just going to create confusion, I'm fine with deleting all selenium tests and dependencies we introduced to run them. I still think it would be nice to have a basic E2E test for the "structured data on filepages" feature, but unless our setup has changed it is probably not worth the trouble.

Change 721814 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/extensions/WikibaseMediaInfo@master] selenium: Delete tests

https://gerrit.wikimedia.org/r/721814

zeljkofilipin changed the task status from In Progress to Open.Sep 17 2021, 1:39 PM
zeljkofilipin removed zeljkofilipin as the assignee of this task.

Eventually I think we just gave up on this entire approach, but left the test code in case we ever had a use for it in the future.

Thanks for the context!

If keeping this is just going to create confusion, I'm fine with deleting all selenium tests and dependencies we introduced to run them.

The tests are somewhat confusing. First, there's an appearance of the test suite, but it's not actually running. Second, we're constantly updating the Selenium framework (and repositories with tests) and we have to spend time on updating this repository, even it's tests are not running at all. See, for example, T256626: Refactor WebdriverIO tests from sync to async mode, T283597: Update wdio-mediawiki to 1.1.1 in all repositories, T274579: Upgrade WebdriverIO to v7 in all repositories.

I still think it would be nice to have a basic E2E test for the "structured data on filepages" feature, but unless our setup has changed it is probably not worth the trouble.

The tests have little value if they are not running in CI. I don't know if WikibaseMediaInfo is now correctly configured in CI. If not, I would suggest deleting the tests (721814). Tests are always available in git history, in case they are needed later.